Bugs in Archlinux32 packages, specific to 32-bit issues.

Bugs  FS#2  to  FS#92  have been recovered and may be incomplete, the
recovered Google/Bing cache data can be found here.

IDCategory  descTask TypePrioritySeveritySummaryStatusProgress
 66 Packages: StableBug ReportMediumLow clang is broken due to library dependencies Closed
100%
Task Description

01.05.2019 -  FS#66  - clang is broken due to library dependencies. clang clang: error while loading shared libraries: libLLVM-7.so: cannot open shared …

 65 Packages: StableBug ReportMediumLow [qt5-styleplugins] incompatile QT version Closed
100%
Task Description

Attached to Project: Archlinux32
Opened by bill auger - 08.04.2019
 FS#65  - [qt5-styleplugins] incompatile QT version

i can not get any QT program to start while that is installed - they complain about mixed QT versions

it looks like qt5-styleplugins was built with the [testing] repo enabled, with qt5-base-5.12.2, while other QT-base programs were built against qt5-base-5.12.1

  Comments (4)
  Related Tasks (0/0)

bill auger commented on 08.04.2019 16:47

$ qv4l2
Cannot mix incompatible Qt library (version 0x50c02) with this library (version 0x50c01)
Aborted (core dumped)
$ sudo octopi
Cannot mix incompatible Qt library (version 0x50c02) with this library (version 0x50c01)
Aborted
$ sudo calamares
Cannot mix incompatible Qt library (version 0x50c02) with this library (version 0x50c01)
Aborted
$ sudo qtox
[16:43:22.069 UTC] :0 : Fatal: Cannot mix incompatible Qt library (version 0x50c02) with this library (version 0x50c01)
Aborted

Admin
Erich Eckner commented on 08.04.2019 19:36

where does qt see this versions?
The symbols in e.g. usr/lib/libQt5-Widgets.so.5.* do not have the least version part:

14 0×02 0x08a28110 Qt_5.10

    Qt_5.9 

15 0×02 0x08a28111 Qt_5.11

    Qt_5.10 

16 0×00 0x08a28112 Qt_5.12

    Qt_5.11 

required from libQt5Core.so.5:

0x08a28112 0x00 22 Qt_5.12
0x00058a25 0x00 03 Qt_5

required from libQt5Widgets.so.5:

0x00058a25 0x00 02 Qt_5

bill auger commented on 30.04.2019 11:16

i read on the web somewhere that all QT programs search the system very aggressively searching for any QT libs it can find (and presumably selecting the newest)

what i have noticed is that this is an interaction between the packages: ‘qt5-styleplugins’ (the themes) and ‘qt5ct’ (the config system) - the presence of either package alone is not enough to cause the problem - the problem occurs only when the ‘gtk2’ theme is selected in the qt5ct config - this is the default configuration that the parabola LXDE liveISO boots into, that config is prepared when building the ISO; so i did not notice this before; but on a manual install, i noticed the qt5ct program crashes when selecting the theme

to reproduce this symptom:
install both ‘qt5-styleplugins’ and ‘qt5ct’ launch qt5ct
select gtk2 from the “Style” select options

$ gdb qt5ct
GNU gdb (GDB) 8.2.1
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type “show copying” and “show warranty” for details.
This GDB was configured as “i686-pc-linux-gnu”.
Type “show configuration” for configuration details.
For bug reporting instructions, please see:
.
Find the GDB manual and other documentation resources online at:

  .

For help, type “help”.
Type “apropos word” to search for commands related to “word”… Reading symbols from qt5ct…(no debugging symbols found)…done.
(gdb) run
Starting program: /usr/bin/qt5ct
[Thread debugging using libthread_db enabled]
Using host libthread_db library “/usr/lib/libthread_db.so.1”.
[New Thread 0xb3c40b40 (LWP 9932)]

(qt5ct:9928): dbind-WARNING : 11:06:08.450: Couldn’t connect to accessibility bus: Failed to connect to socket /tmp/dbus-nltxAHENFr: Connection refused
Configuration path: “/home/bill/.config/qt5ct” Shared QSS paths: (”/home/bill/.local/share/qt5ct/qss”, “/usr/local/share/qt5ct/qss”, “/usr/share/qt5ct/qss”, “/usr/share/gdm/qt5ct/qss”, “/var/lib/menu-xdg/qt5ct/qss”)
Shared color scheme paths: (”/home/bill/.local/share/qt5ct/colors”, “/usr/local/share/qt5ct/colors”, “/usr/share/qt5ct/colors”, “/usr/share/gdm/qt5ct/colors”, “/var/lib/menu-xdg/qt5ct/colors”)
[New Thread 0xb1ff2b40 (LWP 9933)]
libEGL warning: DRI2: failed to authenticate
libEGL warning: MESA-LOADER: failed to open swrast (search paths /usr/lib/dri) libEGL warning: MESA-LOADER: failed to open swrast (search paths /usr/lib/dri) libEGL warning: DRI2: failed to authenticate
libEGL warning: MESA-LOADER: failed to open swrast (search paths /usr/lib/dri) libEGL warning: MESA-LOADER: failed to open swrast (search paths /usr/lib/dri) [this is where i selected the GTK theme] Cannot mix incompatible Qt library (version 0x50c02) with this library (version 0x50c01) Thread 1 “qt5ct” received signal SIGABRT, Aborted.
0xb7fd5841 in kernel_vsyscall ()
(gdb) bt
#0 0xb7fd5841 in
kernel_vsyscall ()
#1 0xb6a2e746 in raise () at /usr/lib/libc.so.6
#2 0xb6a181e3 in abort () at /usr/lib/libc.so.6
#3 0xb6da9775 in () at /usr/lib/libQt5Core.so.5
#4 0xb6dc09d1 in () at /usr/lib/libQt5Core.so.5
#5 0xb1268540 in () at /usr/lib/qt/plugins/styles/libqgtk2style.so
#6 0xb125620b in () at /usr/lib/qt/plugins/styles/libqgtk2style.so
#7 0xb126b3ad in () at /usr/lib/qt/plugins/styles/libqgtk2style.so
#8 0xb79ecd9a in QStyleFactory::create(QString const&) () at /usr/lib/libQt5Widgets.so.5
#9 0x00411d2f in ()
#10 0x0042e2fd in ()
#11 0x0042e4a3 in ()
#12 0xb6fbc929 in QMetaObject::activate(QObject*, int, int, void
) ()

  at /usr/lib/libQt5Core.so.5

#13 0xb7a85121 in QComboBox::activated(QString const&) () at /usr/lib/libQt5Widgets.so.5
#14 0xb7a876d4 in () at /usr/lib/libQt5Widgets.so.5
#15 0xb7a8a454 in () at /usr/lib/libQt5Widgets.so.5
#16 0xb7a90276 in () at /usr/lib/libQt5Widgets.so.5
#17 0xb6fbc861 in QMetaObject::activate(QObject*, int, int, void) ()
at /usr/lib/libQt5Core.so.5
#18 0xb7a853c1 in QComboBoxPrivateContainer::itemSelected(QModelIndex const&) ()
at /usr/lib/libQt5Widgets.so.5
#19 0xb7a85ae0 in QComboBoxPrivateContainer::eventFilter(QObject*, QEvent*) ()
at /usr/lib/libQt5Widgets.so.5
#20 0xb6f908cc in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*)
() at /usr/lib/libQt5Core.so.5
#21 0xb79708b8 in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
at /usr/lib/libQt5Widgets.so.5
#22 0xb7979108 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#23 0xb6f90bc5 in QCoreApplication::notifyInternal2(QObject*, QEvent*) ()
at /usr/lib/libQt5Core.so.5
#24 0xb7977e61 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWid– get*, QWidget
, QPointer&, bool, bool) () at /usr/lib/libQt5Widgets.so.5
#25 0xb79d636c in () at /usr/lib/libQt5Widgets.so.5
#26 0xb79d90ea in () at /usr/lib/libQt5Widgets.so.5
#27 0xb79708c9 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#28 0xb7978aa2 in QApplication::notify(QObject*, QEvent*) () at /usr/lib/libQt5Widgets.so.5
#29 0xb6f90bc5 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib/libQt5Core.so.5
#30 0xb735fb9e in QGuiApplicationPrivate::processMouseEvent(QWindowSystemInterfacePrivate::MouseEvent*) () at /usr/lib/libQt5Gui.so.5
#31 0xb7361172 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) () at /usr/lib/libQt5Gui.so.5
#32 0xb73358c5 in QWindowSystemInterface::sendWindowSystemEvents(QFlags) () at /usr/lib/libQt5Gui.so.5
#33 0xb3f5b0ad in () at /usr/lib/libQt5XcbQpa.so.5
#34 0xb602792e in g_main_context_dispatch () at /usr/lib/libglib-2.0.so.0
#35 0xb60299ea in () at /usr/lib/libglib-2.0.so.0
#36 0xb6029a36 in g_main_context_iteration () at /usr/lib/libglib-2.0.so.0
#37 0xb6feaceb in QEventDispatcherGlib::processEvents(QFlags) () at /usr/lib/libQt5Core.so.5
#38 0xb6f8f656 in QEventLoop::exec(QFlags) () at /usr/lib/libQt5Core.so.5
#39 0xb6f97eeb in QCoreApplication::exec() () at /usr/lib/libQt5Core.so.5
#40 0x0040d36d in ()
#41 0xb6a19a49 in __libc_start_main () at /usr/lib/libc.so.6
#42 0x0040d505 in ()
(gdb)

bill auger commented on 08.05.2019 15:39

it looks like the latest rebuilds have leap-frogged the version conflict

previously:

Cannot mix incompatible Qt library (version 0x50c02) with this library (version 0x50c01)

today:

Cannot mix incompatible Qt library (version 0x50c02) with this library (version 0x50c03)

my guess is that either ‘qt5-styleplugins’ or ‘qt5ct’ still need a rebuild

Google Cache

Bing Cache

 64 Packages: StableBug ReportMediumLow [wireguard] wireguard-arch-0.0.20190227-3.0-i686 does n ...Closed
100%
Task Description

Attached to Project: Archlinux32
Opened by Daniel Moch - 16.03.2019
 FS#64  - [wireguard] wireguard-arch-0.0.20190227-3.0-i686 does not work with 4.20.10.arch1-1.0 kernel

running `modprobe wireguard` yields `modprobe: ERROR: could not insert ‘wireguard’: Exec format error`

  Comments (1)
  Related Tasks (0/0)

Daniel Moch commented on 16.03.2019 11:52

I should add that downgrading to wireguard-arch 0.0.20190123-7.0 resolved the issue.

Google Cache

63Packages: StableBug ReportMediumLownodejs crashes in libuv when cleaning up FSReqCallbackNew
0%
Task Description

Attached to Project: Archlinux32
Opened by Andreas Baumann - 07.02.2019
FS#63 - nodejs crashes in libuv when cleaning up FSReqCallback

Program terminated with signal SIGSEGV, Segmentation fault.
#0 0×00945919 in node::fs::FSReqCallback::~FSReqCallback() ()
[Current thread is 1 (Thread 0xb5614880 (LWP 2013))]
(gdb) bt
#0 0×00945919 in node::fs::FSReqCallback::~FSReqCallback() ()
#1 0×00937274 in node::fs::FSReqAfterScope::~FSReqAfterScope() ()
#2 0x0093767d in node::fs::AfterInteger(uv_fs_s*) ()
#3 0xb7e910e0 in uv.work_done () from /usr/lib/libuv.so.1
#4 0xb7e9526e in ?? () from /usr/lib/libuv.so.1
#5 0xb7ea51f8 in uv.io_poll () from /usr/lib/libuv.so.1
#6 0xb7e95c51 in uv_run () from /usr/lib/libuv.so.1
#7 0x00905d37 in node::Start(v8::Isolate*, node::IsolateData*, std::vector, std::allocator >, std::allocator, std::allocator > > > const&, std::vector, std::allocator >, std::allocator, std::allocator > > > const&) ()
#8 0×00903655 in node::Start(int, char**) ()
#9 0x008acef1 in main ()

This affects gyp, vault and probably some other packages, depending whether those callbacks are used or not.

  Comments (1)
  Related Tasks (0/0)

Admin
Andreas Baumann commented on 07.02.2019 09:36

See also mailing list thread:

https://lists.archlinux.org/pipermail/arch-ports/2018-November/000835.html

Google Code

 61 Packages: StableBug ReportMediumLow dmd fails to build with evalu8.d:function evalu8(elem . ...Closed
100%
Task Description

01.05.2019 - From the discusison in: https://forum.dlang.org/thread/dsrjmpnavxqsjqmlvotf@forum.dlang.org. Well the problem is that the mangling produced …

 58 Packages: StableBug ReportMediumLow texlive-bin doesn't build Closed
100%
Task Description

22.12.2018 - g++ -DHAVE_CONFIG_H -I. -I../../../texk/web2c -I./w2c -I/build/texlive-bin/src/texlive-source/Work/texk -I/build/texlive-bin/src/texlive-source/texk …

 57 Packages: StableBug ReportMediumLow libc fails on AMD-K6 Closed
100%
Task Description

Attached to Project: Archlinux32
Opened by Andreas Baumann - 15.11.2018
Last edited by Andreas Baumann - 31.01.2019
 FS#57  - libc fails on AMD-K6

pacstrap /test base
LD_LIBRARY_PATH=/test/usr/lib gdb –args /test/bin/bash results in:

Program terminated with signal SIGILL, Illegal instruction.
#0 0xb7619991 in strcmp () from /test/usr/lib/libc.so.6
(gdb) bt
#0 0xb7619991 in strcmp () from /test/usr/lib/libc.so.6
#1 0xb75bd41f in setlocale () from /test/usr/lib/libc.so.6
#2 0x0076b7f2 in ?? ()
#3 0x0053acf6 in ?? ()
#4 0xb75b3a31 in __libc_start_main () from /test/usr/lib/libc.so.6
#5 0x0053e561 in ?? ()

So, getting the exact failing opcode is hard.

2.28-5.0 was ok,
2.28-5.2 is not.

So it’s something we changed or something changed on one of the i486 build slaves.

Happens only on the AMD-K6, all other machines with CPUs with limited special instruction
sets (Pentium-S, AMD Geode) are working fine.
Closed by Andreas Baumann
31.01.2019 13:50
Reason for closing: Fixed
Additional comments about closing:

works with glibc-2.28-5.5-i486

  Comments (11)
  Related Tasks (0/0)

Admin
Andreas Baumann commented on 10.01.2019 08:27

happens on a Pentium-S now too.
Pentium-II is still fine, so is AMD Geode..
Admin
Andreas Baumann commented on 24.01.2019 10:10

Finally got around to tackle this one
installing a minimal chroot with:

pacstrap /test bash

Then debugging the chroot call:

gdb –args /usr/bin/chroot /test

yields:

Dump of assembler code for function memcpy:

 0xb7ff22f0 <+0>:     test   %al,%al
 0xb7ff22f2 <+2>:     jne    0xb7ff22e8
 0xb7ff22f4 <+4>:     xor    %eax,%eax
 0xb7ff22f6 <+6>:     ret    
 0xb7ff22f7 <+7>:     mov    $0x1,%eax
 0xb7ff22fc <+12>:    mov    $0xffffffff,%ecx

> 0xb7ff2301 <+17>: cmovb %ecx,%eax

 0xb7ff2304 <+20>:    ret    

End of assembler dump.

So, we got cmov creeping in.

/proc/cpuinfo tells us that neither early Pentiums nor AMD K6 had a CMOV opcode.

Now the trick question is, why is it creeping into the C library?

Is the C library compiled with the wrong flags?
Is the gcc assuming that every CPU has a CMOV instruction? Are flags wrong there
or is CMOV suddenly the default?
Admin
Andreas Baumann commented on 24.01.2019 10:39

Checking in glibc: this is the offending opcode

i686/strcmp.S: cmovbl %ecx, %eax

L(neq): movl $1, %eax

      movl    $-1, %ecx
      cmovbl  %ecx, %eax

Now the question is, why does glibc think it’s ok to use i686 optimizations
when compiling with -march-i486.
Admin
Andreas Baumann commented on 24.01.2019 11:09

Not found an obvious reason, retriggering rebuild on known-good (hopefully) i486 build slave.
Admin
Andreas Baumann commented on 24.01.2019 20:44

config.log shows me i686 as build host. This is guessed with config.guess.
Manually executing config.guess on the build machine results in i486-pc-linux-gnu.
setarch i486 ./config.guess results in i686-pc-linux-gnu.
setarch i486 uname -m results in i686.

This breaks every build on i486!

/usr/bin/setarch is owned by util-linux 2.33.1-2.3 and is is completly broken!

And of course, it’s used in setarch “${arch}” mkarchroot in staging-i486-build.

So the consequenses are:
- devtools32 must NOT use setarch anywhere in the *i486* files
- the whole i486 toolchain and all packages have to be rebuilt (basically from the stage of last bootstrapping, every package above could contain bad opcodes!).

The irony is, that building just with makepkg on a emulated i486 virtual machine works
fine, using the devtools breaks things..
Admin
Andreas Baumann commented on 24.01.2019 21:11

Actually, thinking about it: I should try to patch setarch in coreutils for i486.
So we don’t have to fork devtools32 too much from upstream..

binutils and gcc have an explicit host and build flags, so they should be fine.
Maybe rebuilding just glibc with a fixed setarch is sufficient.
Admin
Andreas Baumann commented on 24.01.2019 21:15

If we are unlucky, utsname information in setarch.c is wrong and it’s not
a coreutils problem..
Admin
Andreas Baumann commented on 25.01.2019 08:05

The man page of setarch documents the bug:

The execution domains currently only affects the output of uname -m. For example, on an AMD64 sys-

     tem, running setarch i386 program will cause program to see i686 instead of x86_64 as  the  machine
     type.  It also allows to set various personality options.  The default program is /bin/sh.

So, we are not allowed to fix this, as other programs may rely on the bug.

So, fixing the devtools32 it is… Admin
Andreas Baumann commented on 25.01.2019 09:15

setarch bug reported here:

https://github.com/karelzak/util-linux/issues/707

and here:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=506632

uname -p reports unknown, this explains why config.guess relies
on uname -m to guess the CPU.

We came to those possible solutions:
- fix setarch.c (rather let it report something different than what the kernel is providing)
- add flags to devtools32 to switch off setarch usage (means, we can no longer build i486 on x86_64 slaves)
- add –build=i486-pc-linux-gnu in every configure call necessary
- go with the CLFS uname hack
- hack setarch of the host machine
Admin
Andreas Baumann commented on 27.01.2019 16:05

The CLFS uname hack solution.

http://trac.clfs.org/ticket/146

http://clfs.org/view/svn/ppc/chroot/before-chroot.html Admin
Andreas Baumann commented on 27.01.2019 18:04

wget http://clfs.org/files/extras/uname_hack-20080713.tar.bz2

PKGBUILD of linux:
_srcver=4.20.4-arch1
pkgver=${_srcver//-/.}
pkgrel=1.0
make modules_prepare

make -C /root/linux/src/archlinux-linux SUBDIRS=$PWD uname_hack_fake_machine=i486

insmod uname_hack.ko

setarch i486 uname -m
i686
setarch i486 ./config.guess
i686-pc-linux-gnu

Ok, the uname hack no longer works, or setarch doesn’t rely on this module information.



Google Cache

 54 Packages: StableBug ReportMediumLow [pam] links against libaudit, but doesn't declare a dep ...Closed
100%
Task Description

Attached to Project: Archlinux32
Opened by Luke Shumaker - 09.10.2018
 FS#54  - [pam] links against libaudit, but doesn’t declare a dependency on [audit]

Both core/pam 1.3.1-1.2 and staging/pam 1.3.1-1.3 have their libpam.so link against libaudit:

$ readelf –dynamic /usr/lib/libpam.so.0.84.2

Dynamic section at offset 0xfdbc contains 27 entries:

Tag        Type                         Name/Value

0×00000001 (NEEDED) Shared library: [libaudit.so.1]

However, the package does not declare depends=(audit) (’audit’ is the package that contains libaudit.so).

This is normally a fairly invisible mistake because recent versions of systemd depend on audit, so systemd-users (i.e. most users) will have audit installed anyway.

This affects `su` (of util-linux) and `sudo` (of sudo), which both link against libpam.

  Comments (4)
  Related Tasks (0/0)

Admin
Erich Eckner commented on 09.10.2018 20:42

pam also links against libaudit.so.1 iff rebuilt for x86_64 - but not the currently built one for x86_64:

— /dev/fd/63 2018-10-09 22:41:57.015507993 +0200
+++ /dev/fd/62 2018-10-09 22:41:57.015507993 +0200
@@ -3,9 +3,9 @@
pkgbase = pam
pkgver = 1.3.1-1
pkgarch = x86_64
-pkgbuild_sha256sum = 3a72016938e6f3e8660a0f8774b576bf58aa4c7b218948e1fadcf39a3e7ebf9d
-packager = Erich Eckner
-builddate = 1539104335
+pkgbuild_sha256sum = e178fcb37ae20afe3f75b66ec5c29bb9eaf5d5e25d032d62e01e2fc54cf2ed32
+packager = Tobias Powalowski
+builddate = 1529655718
builddir = /build
buildenv = !distcc
buildenv = color
@@ -23,129 +23,129 @@
options = !upx
options = !debug
installed = acl-2.2.53-1-x86_64
-installed = archlinux-keyring-20181003-1-any
+installed = archlinux-keyring-20180404-1-any
installed = argon2-20171227-3-x86_64
installed = attr-2.4.48-1-x86_64
-installed = audit-2.8.4-2-x86_64
installed = autoconf-2.69-4-any
-installed = automake-1.16.1-1-any
+installed = automake-1.15.1-1-any
installed = bash-4.4.023-1-x86_64
-installed = binutils-2.31.1-3-x86_64
+installed = binutils-2.30-5-x86_64
installed = bison-3.0.5-1-x86_64
-installed = bzip2-1.0.6-8-x86_64
-installed = ca-certificates-20180821-1-any
-installed = ca-certificates-mozilla-3.39-1-x86_64
-installed = ca-certificates-utils-20180821-1-any
-installed = coreutils-8.30-1-x86_64
+installed = bzip2-1.0.6-7-x86_64
+installed = ca-certificates-20170307-1-any
+installed = ca-certificates-cacert-20140824-4-any
+installed = ca-certificates-mozilla-3.37.3-1-x86_64
+installed = ca-certificates-utils-20170307-1-any
+installed = coreutils-8.29-1-x86_64
installed = cracklib-2.9.6-1-x86_64
-installed = cryptsetup-2.0.4-1-x86_64
-installed = curl-7.61.1-3-x86_64
+installed = cryptsetup-2.0.3-2-x86_64
+installed = curl-7.60.0-1-x86_64
installed = db-5.3.28-4-x86_64
-installed = dbus-1.12.10-2-x86_64
-installed = device-mapper-2.02.181-1-x86_64
+installed = dbus-1.12.8-1-x86_64
+installed = device-mapper-2.02.177-5-x86_64
installed = diffutils-3.6-1-x86_64
-installed = docbook-xml-4.5-8-any
+installed = docbook-xml-4.5-7-any
installed = docbook-xsl-1.79.2-4-any
-installed = e2fsprogs-1.44.4-1-x86_64
-installed = expat-2.2.6-1-x86_64
-installed = fakeroot-1.23-1-x86_64
-installed = file-5.34-1-x86_64
-installed = filesystem-2018.8-1-x86_64
+installed = e2fsprogs-1.44.2-1-x86_64
+installed = expat-2.2.5-1-x86_64
+installed = fakeroot-1.22-1-x86_64
+installed = file-5.33-3-x86_64
+installed = filesystem-2018.1-2-x86_64
installed = findutils-4.6.0-2-x86_64
installed = flex-2.6.4-1-x86_64
installed = gawk-4.2.1-1-x86_64
-installed = gc-7.6.8-1-x86_64
-installed = gcc-8.2.1+20180831-1-x86_64
-installed = gcc-libs-8.2.1+20180831-1-x86_64
-installed = gdbm-1.18-1-x86_64
+installed = gc-7.6.6-1-x86_64
+installed = gcc-8.1.1+20180531-1-x86_64
+installed = gcc-libs-8.1.1+20180531-1-x86_64
+installed = gdbm-1.14.1-1-x86_64
installed = gettext-0.19.8.1-2-x86_64
-installed = glib2-2.58.1-1-x86_64
-installed = glibc-2.28-4-x86_64
+installed = glib2-2.56.1-1-x86_64
+installed = glibc-2.27-3-x86_64
installed = gmp-6.1.2-1-x86_64
-installed = gnupg-2.2.10-1-x86_64
-installed = gnutls-3.5.19-2-x86_64
-installed = gpgme-1.11.1-2-x86_64
-installed = gpm-1.20.7.r27.g1fd1941-1-x86_64
+installed = gnupg-2.2.8-1-x86_64
+installed = gnutls-3.5.18-1-x86_64
+installed = gpgme-1.11.1-1-x86_64
+installed = gpm-1.20.7-8-x86_64
installed = grep-3.1-1-x86_64
installed = groff-1.22.3-7-x86_64
-installed = guile-2.2.4-1-x86_64
+installed = guile-2.2.3-1-x86_64
installed = gzip-1.9-1-x86_64
-installed = hwids-20180518-1-any
-installed = iana-etc-20180913-1-any
-installed = icu-62.1-1-x86_64
-installed = iptables-1:1.6.2-3-x86_64
-installed = json-c-0.13.1-2-x86_64
+installed = hwids-20171003-1-any
+installed = iana-etc-20180221-1-any
+installed = icu-61.1-1-x86_64
+installed = iptables-1.6.2-2-x86_64
+installed = json-c-0.13.1-1-x86_64
installed = kbd-2.0.4-1-x86_64
-installed = keyutils-1.5.11-1-x86_64
+installed = keyutils-1.5.10-2-x86_64
installed = kmod-25-1-x86_64
installed = krb5-1.16.1-1-x86_64
installed = less-530-1-x86_64
-installed = libarchive-3.3.3-1-x86_64
+installed = libarchive-3.3.2-2-x86_64
installed = libassuan-2.5.1-1-x86_64
-installed = libatomic_ops-7.6.6-1-x86_64
+installed = libatomic_ops-7.6.4-1-x86_64
installed = libcap-2.25-1-x86_64
installed = libcap-ng-0.7.9-1-x86_64
-installed = libelf-0.174-1-x86_64
+installed = libelf-0.171-1-x86_64
installed = libffi-3.2.1-2-x86_64
installed = libgcrypt-1.8.3-1-x86_64
-installed = libgpg-error-1.32-1-x86_64
+installed = libgpg-error-1.31-1-x86_64
+installed = libidn-1.34-2-x86_64
installed = libidn2-2.0.5-1-x86_64
installed = libksba-1.3.5-1-x86_64
-installed = libldap-2.4.46-2-x86_64
+installed = libldap-2.4.46-1-x86_64
installed = libmnl-1.0.4-1-x86_64
installed = libmpc-1.1.0-1-x86_64
-installed = libnftnl-1.1.1-1-x86_64
-installed = libnghttp2-1.33.0-1-x86_64
+installed = libnftnl-1.1.0-1-x86_64
+installed = libnghttp2-1.31.1-1-x86_64
installed = libnl-3.4.0-1-x86_64
-installed = libpcap-1.9.0-1-x86_64
+installed = libpcap-1.8.1-2-x86_64
installed = libpsl-0.20.2-1-x86_64
-installed = libsasl-2.1.26-13-x86_64
-installed = libseccomp-2.3.3-1-x86_64
+installed = libsasl-2.1.26-12-x86_64
+installed = libseccomp-2.3.2-2-x86_64
installed = libsecret-0.18.6-1-x86_64
installed = libssh2-1.8.0-2-x86_64
-installed = libsystemd-239.2-1-x86_64
+installed = libsystemd-238.133-4-x86_64
installed = libtasn1-4.13-1-x86_64
-installed = libtirpc-1.1.4-1-x86_64
-installed = libtool-2.4.6+42+gb88cebd5-2-x86_64
+installed = libtirpc-1.0.3-2-x86_64
+installed = libtool-2.4.6+40+g6ca5e224-7-x86_64
installed = libunistring-0.9.10-1-x86_64
installed = libusb-1.0.22-1-x86_64
-installed = libutil-linux-2.32.1-2-x86_64
-installed = libxml2-2.9.8-5-x86_64
+installed = libutil-linux-2.32-3-x86_64
+installed = libxml2-2.9.8-2-x86_64
installed = libxslt-1.1.32+3+g32c88216-1-x86_64
-installed = linux-api-headers-4.17.11-1-any
-installed = lz4-1:1.8.3-1-x86_64
+installed = linux-api-headers-4.16.1-1-any
+installed = lz4-1:1.8.2-2-x86_64
installed = m4-1.4.18-1-x86_64
installed = make-4.2.1-2-x86_64
installed = mpfr-4.0.1-1-x86_64
installed = ncurses-6.1-3-x86_64
installed = nettle-3.4-1-x86_64
-installed = npth-1.6-1-x86_64
-installed = openssl-1.1.1-1-x86_64
-installed = p11-kit-0.23.14-1-x86_64
-installed = pacman-5.1.1-1-x86_64
-installed = pacman-mirrorlist-20180912-1-any
-installed = pam-1.3.1-1-x86_64
+installed = npth-1.5-1-x86_64
+installed = openssl-1.1.0.h-1-x86_64
+installed = p11-kit-0.23.12-1-x86_64
+installed = pacman-5.1.0-2-x86_64
+installed = pacman-mirrorlist-20180524-1-any
+installed = pam-1.3.0-2-x86_64
installed = pambase-20171006-1-any
-installed = patch-2.7.6-3-x86_64
+installed = patch-2.7.6-1-x86_64
installed = pcre-8.42-1-x86_64
-installed = pcre2-10.32-1-x86_64
-installed = perl-5.28.0-1-x86_64
-installed = pinentry-1.1.0-4-x86_64
-installed = pkgconf-1.5.3-1-x86_64
+installed = pcre2-10.31-1-x86_64
+installed = perl-5.26.2-1-x86_64
+installed = pinentry-1.1.0-3-x86_64
+installed = pkgconf-1.4.2-2-x86_64
installed = popt-1.16-9-x86_64
installed = procps-ng-3.3.15-1-x86_64
installed = readline-7.0.005-1-x86_64
installed = sed-4.5-1-x86_64
-installed = shadow-4.6-1-x86_64
-installed = sqlite-3.25.2-1-x86_64
-installed = sudo-1.8.25.p1-1-x86_64
-installed = systemd-239.2-1-x86_64
+installed = shadow-4.5-4-x86_64
+installed = sqlite-3.24.0-1-x86_64
+installed = sudo-1.8.23-2-x86_64
+installed = systemd-238.133-4-x86_64
installed = tar-1.30-1-x86_64
installed = texinfo-6.5-1-x86_64
-installed = tzdata-2018e-2-x86_64
-installed = util-linux-2.32.1-2-x86_64
+installed = tzdata-2018e-1-any
+installed = util-linux-2.32-3-x86_64
installed = w3m-0.5.3.git20180125-1-x86_64
installed = which-2.21-2-x86_64
installed = xz-5.2.4-1-x86_64
-installed = zlib-1:1.2.11-3-x86_64
-installed = zstd-1.3.5-1-x86_64
+installed = zlib-1:1.2.11-2-x86_64
Admin
Erich Eckner commented on 09.10.2018 20:47

As can be seen, the new version of systemd pulls in audit, against which then the linking happens.
I would not do anything about this issue (if that’s ok with you, Luke), because:
1st it only affects systems w/o systemd - e.g. non-standard systems
2nd it will solve itself with the next (upstream) release/rebuild of pam (or at least, if upstream does not add audit to the depends, it will become an upstream bug which we should report to them)

regards,
Erich
Luke Shumaker commented on 09.10.2018 21:28

Parabola supports OpenRC, so this risks breaking sudo for Parabola OpenRC users, making it more severe for us downstream than it is for you.

That isn’t to say that you have to take actionand fix it for us; it is a low-priority bug for Arch Linux 32 users, so if you want to wait for it to be resolved in upsteam Arch, that’s your prerogative. But it means that in the mean-time, Parabola will have to repackage it to avoid breaking our OpenRC users’ boxes.
bill auger commented on 10.10.2018 01:16

related to: https://bugs.archlinux.org/task/60365

Google Cache

 47 Packages: StableBug ReportMediumLow rankmirrors $repo guessing broken in i686 only Closed
100%
Task Description

Attached to Project: Archlinux32
Opened by Levi - 26.07.2018
Last edited by Erich Eckner - 27.07.2018
 FS#47  - rankmirrors $repo guessing broken in i686 only

I usually use rankmirrors on my mirrorlist prior to installing them fully to sort them such that the quickest mirrors are listed first.

I found that when using them to sort my mirrorlist.pacnew, it would claim each server target was unreachable, and reproduce them in their original order, making the tool rather useless.
Workaround

I also discovered that I can work around the problem by passing an argument of ‘-r core’ to the invocation, e.g. ‘$ rankmirrors -r core /etc/pacman.d/mirrorlist.pacnew > mirrorlist.temp’
Steps to reproduce

  rankmirrors -t /etc/pacman.d/mirrorlist.pacnew

This -t option prints out the timings, or unreachable if it failed to create a valid uri.
Investigation

My investigations thus far show that /usr/bin/rankmirrors is a bash script, and it looks like the if statement starting on line 79 in the current version (the first if statement in the getfetchurl function) is designed to replace the $repo string with whatever $TARGETREPO is, else ‘core’ which suggests it should work by default.

The only consistent difference in the format of the mirrorlist file between here and on my x64 machine (where rankmirrors continues to work fine) is that on x64 the repos almost all have /os before /$repo while we often have it at the root of the public filesystem, or under something other than /os.

Unfortunately the vagaries of bash string substitution are something I rarely touch and never touch again provided they continue to work, so I can’t guess why this would have stopped working for us. If I have time to dig further I’ll comment here though, of course.
Closed by Erich Eckner
27.07.2018 04:22
Reason for closing: Fixed
Additional comments about closing:

note, that this deliberately does not work with upstream’s mirror layout

  Comments (2)
  Related Tasks (0/0)

Admin
Erich Eckner commented on 26.07.2018 19:13

ok, I just checked - with my mirrorlist, it works (this is not the default mirrorlist) - so I suspect, it breaks due to our format of the urls ($root/$arch/$repo instead of $root/$repo/os/$arch) - I’ll look into this
Admin
Erich Eckner commented on 26.07.2018 19:38

I think, I fixed it - let’s see if it “compiles” and runs :-)

Google Cache

 40 Packages: StableBug ReportMediumLow [extra/gimp] is uninstallable because [extra/gegl02 ... Closed
100%
Task Description

20.06.2018 - [extra/gegl02] (which provided gegl=0.2; [extra/gegl] is 0.3) was removed, despite that it was still needed by [extra/gimp]. [extra/gimp] is an old …

 39 Packages: StableBug ReportMediumLow xorg modesetting module fails with illegal instruction Closed
100%
Task Description

Attached to Project: Archlinux32
Opened by Andreas Baumann - 13.06.2018
Last edited by Andreas Baumann - 13.09.2018
 FS#39  - xorg modesetting module fails with illegal instruction

[ 22.717] (EE) Illegal instruction at address 0xb632cd37
[ 22.718] (EE)
Fatal server error:
[ 22.718] (EE) Caught signal 4 (Illegal instruction). Server aborting
[ 22.719] (EE)

               PID: 242 (Xorg)
         UID: 0 (root)
         GID: 0 (root)
      Signal: 6 (ABRT)
   Timestamp: Wed 2018-06-13 20:53:43 CEST (41s ago)
Command Line: /usr/lib/Xorg :0
  Executable: /usr/lib/Xorg

Control Group: /user.slice/user-0.slice/session-c1.scope

        Unit: session-c1.scope
       Slice: user-0.slice
     Session: c1
   Owner UID: 0 (root)
     Boot ID: ea12301d13874fac8112dad7bf566bdb
  Machine ID: 2f98089cbe8d40cb8776a580d6803b58
    Hostname: arch32-staging
     Storage: /var/lib/systemd/coredump/core.Xorg.0.ea12301d13874fac8112dad7bf566bdb.242.1528916023000>
     Message: Process 242 (Xorg) of user 0 dumped core.
              
              Stack trace of thread 242:
              #0  0x00000000b7f58d21 __kernel_vsyscall (linux-gate.so.1)
              #1  0x00000000b7d749c2 raise (libc.so.6)
              #2  0x00000000b7d5e71e abort (libc.so.6)
              #3  0x000000000056b555 OsAbort (Xorg)
              #4  0x000000000056b5d2 FatalError (Xorg)
              #5  0x000000000060a93a n/a (Xorg)
              #6  0x00000000b7f58d38 __kernel_rt_sigreturn (linux-gate.so.1)
              #7  0x00000000b632cd37 n/a (kms_swrast_dri.so)
              #8  0x00000000b5f0181f n/a (kms_swrast_dri.so)
              #9  0x00000000b7f698b3 call_init.part.0 (ld-linux.so.2)
              #10 0x00000000b7f699b2 _dl_init (ld-linux.so.2)
              #11 0x00000000b7f6d7e0 dl_open_worker (ld-linux.so.2)
              #12 0x00000000b7e7bc91 _dl_catch_exception (libc.so.6)
              #13 0x00000000b7f6d077 _dl_open (ld-linux.so.2)
              #14 0x00000000b7b8cb73 n/a (libdl.so.2)
              #15 0x00000000b7e7bc91 _dl_catch_exception (libc.so.6)
              #16 0x00000000b7e7bd40 _dl_catch_error (libc.so.6)
              #17 0x00000000b7b8d333 n/a (libdl.so.2)
              #18 0x00000000b7b8cc16 dlopen (libdl.so.2)
              #19 0x00000000b7f2eb6e n/a (libgbm.so.1)
              #20 0x00000000b7f2ecb3 n/a (libgbm.so.1)
              #21 0x00000000b7f2ee24 n/a (libgbm.so.1)
              #22 0x00000000b7f2f0d7 n/a (libgbm.so.1)
              #23 0x00000000b7f2c9ba gbm_create_device (libgbm.so.1)
              #24 0x00000000b6ef4ee4 glamor_egl_init (libglamoregl.so)
              #25 0x00000000b7f49b4a n/a (modesetting_drv.so)
              #26 0x000000000051c169 InitOutput (Xorg)
              #27 0x000000000049d8e1 n/a (Xorg)
              #28 0x00000000b7d60041 __libc_start_main (libc.so.6)
              #29 0x000000000049e7e2 _start (Xorg)
  Comments (7)
  Related Tasks (0/0)

Admin
Andreas Baumann commented on 14.06.2018 15:53

#0 0xb7f3ad21 in kernel_vsyscall () [-
#1 0xb7d579c2 in raise () from /usr/lib/libc.so.6
#2 0xb7d4171e in abort () from /usr/lib/libc.so.6
#3 0x005855f5 in OsAbort () at ../xorg-server-1.20.0/os/utils.c:1350
#4 0×00585672 in AbortServer () at ../xorg-server-1.20.0/os/log.c:877
#4 0×00585672 in AbortServer () at ../xorg-server-1.20.0/os/log.c:877
#5 FatalError (f=0x65e1bc “Caught signal %d (%s). Server aborting\n”)
at ../xorg-server-1.20.0/os/log.c:1015
#6 0x00624b5a in OsSigHandler (signo=, sip=, unused=,
signo=, sip=, unused=) at ../xorg-server-1.20.0/os/osinit.c:156
#7
#8 0xb62d5d37 in SwrJit::X86Intrinsic::X86Intrinsic (this=0xbf955e24)
at ../mesa-18.1.1/src/gallium/drivers/swr/rasterizer/jitter/functionpasses/lower_x86.cpp:66
#9 std::pair, std::allocator > const, SwrJit::X86Intrinsic>::pair (this=0xbf955e0c,
x=…, y=…)
at /usr/include/c++/8.1.1/bits/stl_pair.h:301
#10 0xb5eaa81f in
static_initialization_and_destruction_0(int, int) [clone .constprop.236] ()

  at /usr/include/c++/8.1.1/new:169

#11 0xb7f4b8b3 in call_init.part () from /lib/ld-linux.so.2
#12 0xb7f4b9b2 in _dl_init () from /lib/ld-linux.so.2
#13 0xb7f4f7e0 in dl_open_worker () from /lib/ld-linux.so.2
#14 0xb7e5ec91 in _dl_catch_exception () from /usr/lib/libc.so.6
#15 0xb7f4f077 in _dl_open () from /lib/ld-linux.so.2
#16 0xb7b6fb73 in ?? () from /usr/lib/libdl.so.2
#17 0xb7e5ec91 in _dl_catch_exception () from /usr/lib/libc.so.6
#18 0xb7e5ed40 in _dl_catch_error () from /usr/lib/libc.so.6
—Type to continue, or q to quit— #19 0xb7b70333 in ?? () from /usr/lib/libdl.so.2
#20 0xb7b6fc16 in dlopen () from /usr/lib/libdl.so.2
#21 0xb7f10b6e in dri_open_driver (dri=, dri=)

  at ../mesa-18.1.1/src/gbm/backends/dri/gbm_dri.c:354

#22 0xb7f10cb3 in dri_load_driver (dri=0x17e9660) at ../mesa-18.1.1/src/gbm/backends/dri/gbm_dri.c:439
#23 dri_screen_create_dri2 (dri=dri@entry=0x17e9660, driver_name=)

  at ../mesa-18.1.1/src/gbm/backends/dri/gbm_dri.c:439

#24 0xb7f10e24 in dri_screen_create_sw (dri=0x17e9660)

  at ../mesa-18.1.1/src/gbm/backends/dri/gbm_dri.c:539

#25 0xb7f110d7 in dri_device_create (fd=13) at ../mesa-18.1.1/src/gbm/backends/dri/gbm_dri.c:1429
#26 0xb7f0e9ba in gbm_create_device (fd=13) at ../mesa-18.1.1/src/gbm/main/gbm.c:137
#27 0xb6ebaee4 in glamor_egl_init (scrn=0x17e83a0, fd=13)

  at ../xorg-server-1.20.0/glamor/glamor_egl.c:894

#28 0xb7f2bb4a in try_enable_glamor (pScrn=0x17e83a0)

  at ../xorg-server-1.20.0/hw/xfree86/drivers/modesetting/driver.c:753

#29 PreInit (pScrn=, flags=)

  at ../xorg-server-1.20.0/hw/xfree86/drivers/modesetting/driver.c:972

#30 0×00536209 in InitOutput (pScreenInfo=0x6fd520 , argc=6, argv=0xbf957944)

  at ../xorg-server-1.20.0/hw/xfree86/common/xf86Init.c:536

#31 0x004b7991 in dix_main (envp=, argv=, argc=)

  at ../xorg-server-1.20.0/dix/main.c:193

#32 main (argc=, argv=, envp=)

  at ../xorg-server-1.20.0/dix/stubmain.c:34

=> 0xb62d5d37 <+71>: vmovq -0×20(%ebp),%xmm0

 0xb62d5d3c <+76>:    vmovq  %xmm0,0x18(%esi)

Looks like AVX optimized code in libswr though I’m deleting -D swr-arches=avx,avx2 in
the diff-PKGBUILD (maybe wrongly)?
Admin
Andreas Baumann commented on 14.06.2018 17:55

So, I read OpenSWR requires at least AVX, so we can safely drop the library for 32-bit
machines, right?

So removing swr from the gallium-drivers, then I get croaks about gallium-nine requiring
a pipe.

I’ll continue to drop options in arch-meson in PKGBUILD till I get a working build..

Any help welcome. :-) Admin
Andreas Baumann commented on 14.06.2018 18:13

Some docu:

  http://openswr.org/build-linux.html
  https://www.mesa3d.org/envvars.html
  https://www.felixcloutier.com/x86/MOVQ.html

Trying the following patch at the moment:

eval “$(

declare -f build | \
  sed '
    /-D gallium-drivers=/s/,swr//g
    s/-D swr-arches=avx,avx2//g
    /gallium-drivers/s/,swr//g
    s/-D gallium-nine=true/-D gallium-nine=false/g
    s/-D osmesa=gallium/-D osmesa=classic/g
    s/dri-drivers=/dri-drivers=swrast,/g
  '

)”

Admin
Erich Eckner commented on 14.06.2018 20:54

only glitch I see with your fix is, that the options are in one line in `declare -f build`, so the line-matching makes no sense
Admin
Andreas Baumann commented on 15.06.2018 06:07

one line? It should actually be one line each and it worked for me? *puzzle*
Admin
Andreas Baumann commented on 15.06.2018 08:55

This seems to work. But I’m disabling and changing an awful lot of stuff:

# disable AVX/AVX2 in openswf, makes no sense with old CPUs
eval “$(

declare -f build | \
  sed '
    /-D gallium-drivers=/s/,swr//g
    s/-D swr-arches=avx,avx2//g
    /gallium-drivers/s/,swr//g
    s/-D gallium-nine=true/-D gallium-nine=false/g
    s/-D osmesa=gallium/-D osmesa=classic/g
    s/dri-drivers=/dri-drivers=swrast,/g
  '
declare -f package_mesa | \
  sed '
    s@_install fakeinstall/usr/lib/d3d@#\0@g
    s@_install fakeinstall/usr/lib/libswrAVX.*@#\0@g
  '

)”

Admin
Andreas Baumann commented on 13.09.2018 08:34

Fails again with (mesa 18.1.8 on testing):

Program received signal SIGILL, Illegal instruction.
0xb627e167 in ?? () from /usr/lib/dri/kms_swrast_dri.so
=> 0xb627e167: c5 fa 7e 45 e0 vmovq -0×20(%ebp),%xmm0

Google Cache

Bing Cache

 35 Packages: StableBug ReportMediumLow texlive errors while installing (missing icu 60) Closed
100%
Task Description

Attached to Project: Archlinux32
Opened by Andreas Baumann - 12.04.2018
Last edited by Andreas Baumann - 13.04.2018
 FS#35  - texlive errors while installing (missing icu 60)

(16/19) Updating TeXLive format files… xetex: error while loading shared libraries: libicuuc.so.60: cannot open shared object file: No such file or directory
xetex: error while loading shared libraries: libicuuc.so.60: cannot open shared object file: No such file or directory
xetex: error while loading shared libraries: libicuuc.so.60: cannot open shared object file: No such file or directory
xetex: error while loading shared libraries: libicuuc.so.60: cannot open shared object file: No such file or directory
fmtutil [ERROR]: running `xetex -ini -jobname=xetex -progname=xetex -etex xetex.ini /null’ return status 127
fmtutil [ERROR]: return error due to options –strict
fmtutil [ERROR]: running `xetex -ini -jobname=cont-en -progname=context -8bit *cont-en.mkii /null’ return status 127
fmtutil [ERROR]: return error due to options –strict
fmtutil [ERROR]: running `xetex -ini -jobname=pdfcsplain -progname=pdfcsplain -etex csplain.ini /null’ return status 127
fmtutil [ERROR]: return error due to options –strict
fmtutil [ERROR]: running `xetex -ini -jobname=xelatex -progname=xelatex -etex xelatex.ini /null’ return status 127
fmtutil [ERROR]: return error due to options –strict
error: command failed to execute correctly
(17/19) Updating TeXLive font maps… (18/19) Updating the desktop file MIME type cache… (19/19) Updating the MIME type database…

Not had the time to actually test TexLive, it may work despite the errors.

An ldd on texlive-bin shows me:

/usr/bin/upmendex:

      linux-gate.so.1 (0xb7f53000)
      libkpathsea.so.6 => /usr/lib/libkpathsea.so.6 (0xb7ee9000)
      libicui18n.so.60 => not found
      libicuuc.so.60 => not found
      libc.so.6 => /usr/lib/libc.so.6 (0xb7d14000)
      /lib/ld-linux.so.2 => /usr/lib/ld-linux.so.2 (0xb7f55000)

/usr/bin/xelatex:

      linux-gate.so.1 (0xb7f36000)
      libharfbuzz-icu.so.0 => /usr/lib/libharfbuzz-icu.so.0 (0xb7b42000)
      libharfbuzz.so.0 => /usr/lib/libharfbuzz.so.0 (0xb7a85000)
      libgraphite2.so.3 => /usr/lib/libgraphite2.so.3 (0xb7a55000)
      libicuuc.so.60 => not found
      libpthread.so.0 => /usr/lib/libpthread.so.0 (0xb7a36000)
      libpoppler.so.72 => /usr/lib/libpoppler.so.72 (0xb77c0000)

/usr/bin/xetex:

      linux-gate.so.1 (0xb7f0e000)
      libharfbuzz-icu.so.0 => /usr/lib/libharfbuzz-icu.so.0 (0xb7b1a000)
      libharfbuzz.so.0 => /usr/lib/libharfbuzz.so.0 (0xb7a5d000)
      libgraphite2.so.3 => /usr/lib/libgraphite2.so.3 (0xb7a2d000)
      libicuuc.so.60 => not found

So a rebuild of texlive is maybe an option?
Closed by Andreas Baumann
13.04.2018 08:07
Reason for closing: Fixed
Additional comments about closing:

Linked against icu.61 now. Ok.

  Comments (1)
  Related Tasks (0/0)

Admin
Andreas Baumann commented on 13.04.2018 08:07

PANIC: unprotected error in call to Lua API (CPU with SSE2 required).
Lua also seems to go the way of all interpreters with micro-optimizations everywhere.

Google Cache

 15 Packages: StableBug ReportMediumLow [extra/m17n-lib] needs rebuilt for icu 60 Closed
100%
Task Description

Attached to Project: Archlinux32
Opened by Luke Shumaker - 22.11.2017
Last edited by Erich Eckner - 28.11.2017
 FS#15  - [extra/m17n-lib] needs rebuilt for icu 60

extra/m17n-lib 1.7.0-1 is built against icu 59; it needs rebuilt against icu 60 (which moved from staging to stable on Monday).
Closed by Erich Eckner
28.11.2017 08:14
Reason for closing: Fixed
Additional comments about closing:

unfortunately, the fixed package has same version - so you need to force update that one.

  Comments (1)
  Related Tasks (0/0)

Admin
Andreas Baumann commented on 23.11.2017 09:55

I checked on stable, seems ok to me now:

ldd /usr/lib/libm17n.so.0.4.1

    linux-gate.so.1 (0xb7f9c000)
    libm17n-core.so.0 => /usr/lib/libm17n-core.so.0 (0xb7f12000)
    libdl.so.2 => /usr/lib/libdl.so.2 (0xb7f0d000)
    libc.so.6 => /usr/lib/libc.so.6 (0xb7d37000)
    libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb7bb7000)
    libz.so.1 => /usr/lib/libz.so.1 (0xb7b9e000)
    liblzma.so.5 => /usr/lib/liblzma.so.5 (0xb7b72000)
    libicui18n.so.60 => /usr/lib/libicui18n.so.60 (0xb78bc000)
    libicuuc.so.60 => /usr/lib/libicuuc.so.60 (0xb7702000)
    libicudata.so.60 => /usr/lib/libicudata.so.60 (0xb5d6c000)
    libm.so.6 => /usr/lib/libm.so.6 (0xb5c70000)
    /usr/lib/ld-linux.so.2 (0xb7f9e000)
    libpthread.so.0 => /usr/lib/libpthread.so.0 (0xb5c4f000)
    libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb5ad5000)
    libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0xb5ab8000)

Google Cache

 4 Packages: StableBug ReportMediumLow [virtualbox-guest-utils] 5.2.0 version broken  Closed
100%
Task Description

Attached to Project: Archlinux32
Opened by Andreas Baumann - 07.11.2017
Last edited by Andreas Baumann - 17.12.2017
 FS#4  - [virtualbox-guest-utils] 5.2.0 version broken

When starting a virtual machine you get:

VBoxClient: VBoxClient (seamless): failed to start. Stage: Setting guest IRQ filter mask Error: VERR_INTERNAL_ERROR

The solution is to use the guest ISO 5.2.1 for now till the package is upgraded.
Closed by Andreas Baumann
17.12.2017 20:22
Reason for closing: Fixed
Additional comments about closing:

Seems to work now. the modules load, the desktop adapts nicely. mouse works. closing this one.

Comments

Admin
Erich Eckner commented on 17.12.2017 18:46

is this still the case with 5.2.2?
Admin
Andreas Baumann commented on 17.12.2017 18:52

I’ll have to test on a virtualbox vm..

Google Cache

Bing Cache

 3 Packages: StableBug ReportMediumLow [ffmpeg] missing FLAC codec Closed
100%
Task Description

Opened by Andreas Baumann - 07.11.2017
Last edited by Erich Eckner - 07.11.2017
 FS#3  - [ffmpeg] missing FLAC codec

Playing 10.Motion_Picture_Soundtrack.flac.
Audio only file format detected.
Load subtitles in ./

Opening audio decoder: [ffmpeg] FFmpeg/libavcodec audio decoders
[flac @ 0xb68902c0]Got unexpected packet size after a partial decode
[flac @ 0xb68902c0]Got unexpected packet size after a partial decode
[flac @ 0xb68902c0]Got unexpected packet size after a partial decode
[flac @ 0xb68902c0]Got unexpected packet size after a partial decode
[flac @ 0xb68902c0]Got unexpected packet size after a partial decode
[flac @ 0xb68902c0]Got unexpected packet size after a partial decode
ADecoder init failed sad
ADecoder init failed sad
Cannot find codec for audio format 0x43614C66.
Audio: no sound
Video: no video

Levi commented on 16.05.2019 20:08

How do I check this? I tested inputting a file to ffmpeg using the -i option and it acted like the output of ffprobe reporting things like the duration correctly before barfing that I hadn’t supplied it with any outputs. Is this fixed therefore?
Admin
Andreas Baumann commented on 17.08.2019 12:23

Output #0, flac, to ‘Kid A (2000)/10.Motion_Picture_Soundtrack.flac’:
Output file #0 does not contain any stream

and this on 64-bit.

I don’t think, flac support is there in ffmpeg

Google Cache

Bing Cache

 2 Packages: StableBug ReportMediumLow this is a test-issue for [lapack] (not a real bug) - Ar ...Closed
100%
Task Description

07.11.2017 -  FS#2  - this is a test-issue for [lapack] (not a real bug). human: ignore this build master: do not ignore this. Closed by Erich Eckner 07.11.2017 …

 281 Packages: Build-listBug ReportVery LowLow Firefox compilation Closed
100%
Task Description

I checked the firefox on the build-list and its not compiling because of missing lvm13 libs which are packages are llvm13-libs and llvm13

 80 Packages: Build-listBug ReportMediumLow kate refuses to build due to some broken shared ... Closed
100%
Task Description

07.07.2019 -  FS#80  - kate refuses to build due to some broken shared library dependencies. /usr/bin/ld: warning: libgit2.so.27, needed by …

 77 Packages: Build-listBug ReportMediumLow librsvg doesn't rebuild Closed
100%
Task Description

Attached to Project: Archlinux32
Opened by Andreas Baumann - 30.05.2019
 FS#77  - librsvg doesn’t rebuild

  1. -> /build/librsvg/src/librsvg/target/release/build/typenum-ff577e94a786118f/out/consts.rs:2113:5

|
2111 | pub type P1024 = PInt; pub type N1024 = NInt;

   |     ----------------------------- previous definition of the type `P1024` here

2112 | pub type U1024 = UInt, B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
2113 | pub type P1024 = PInt; pub type N1024 = NInt;

   |     ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ `P1024` redefined here
   |
   = note: `P1024` must be defined only once in the type namespace of this module

error[E0428]: the name `N1024` is defined multiple times

  1. -> /build/librsvg/src/librsvg/target/release/build/typenum-ff577e94a786118f/out/consts.rs:2113:35

|
2111 | pub type P1024 = PInt; pub type N1024 = NInt;

   |                                   ----------------------------- previous definition of the type `N1024` here

2112 | pub type U1024 = UInt, B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>, B0>;
2113 | pub type P1024 = PInt; pub type N1024 = NInt;

   |                                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ `N1024` redefined here
   |
   = note: `N1024` must be defined only once in the type namespace of this module

error: aborting due to 3 previous errors

For more information about this error, try `rustc –explain E0428`.
error: Could not compile `typenum`.

Caused by:

process didn't exit successfully: `rustc --crate-name typenum /build/.cargo/registry/src/github.com-1ecc6299db9ec823/typenum-1.10.0/src/lib.rs --color never --crate-type lib --emit=dep-info,link -C opt-level=3 -C debuginfo=2 -C metadata=045a2ce7f5cfaab5 -C extra-filename=-045a2ce7f5cfaab5 --out-dir /build/librsvg/src/librsvg/target/release/deps -L dependency=/build/librsvg/src/librsvg/target/release/deps --cap-lints allow -C target-cpu=pentium3 -C target-feature=-sse2` (exit code: 1)

warning: build failed, waiting for other jobs to finish… error: build failed
make[2]: * [Makefile:1934: /build/librsvg/src/librsvg/target/release/librsvg_internals.a] Error 101
make[2]: Leaving directory ‘/build/librsvg/src/librsvg’ make[1]:
* [Makefile:1438: all-recursive] Error 1
make[1]: Leaving directory ‘/build/librsvg/src/librsvg’ make: *** [Makefile:931: all] Error 2

The same error with typenum as when bootstrapping rust in stage 2.

librsvg is very important as it blocks tons of other stuff (so why
again was it written in Rust?!)

I might have seen a Debian patch for it, but Debian goes a “complete
Rust micro-packaging” way, not sure whether we can apply it here?

  Comments (1)
  Related Tasks (0/0)

Levi commented on 30.05.2019 18:26

Since it looks to me like it’s redefining P1024 and N1024 the same, can’t you just eliminate one of these definitions. Sure, it makes a patch you’d have to maintain henceforth until they fix this upstream, and I don’t understand what kind of preprocessing is ending up with this particular duplication, but deleting a line is about the simplest patch you could maintain.

Google Cache

 75 Packages: Build-listBug ReportMediumLow openjdk8/10/11/12 break with march=pentium4 optimizatio ...Closed
100%
Task Description

Attached to Project: Archlinux32
Opened by Andreas Baumann - 18.05.2019
Last edited by Andreas Baumann - 16.08.2019
 FS#75  - openjdk8/10/11/12 break with march=pentium4 optimization

This blocks ant, needed for building libreoffice.
Closed by Andreas Baumann
16.08.2019 13:55
Reason for closing: Fixed
Additional comments about closing:

fixed for 8, 10, 11 and 12. Not for 7.

  Comments (34)
  Related Tasks (0/0)

Admin
Andreas Baumann commented on 18.05.2019 18:18

mmh. java is fine.

java -version
openjdk version “1.8.0_212” OpenJDK Runtime Environment (build 1.8.0_212-b01)
OpenJDK Server VM (build 25.212-b01, mixed mode)

javac
#
# A fatal error has been detected by the Java Runtime Environment:
#
# Internal Error (os_linux_x86.cpp:291), pid=124, tid=0xf6dc1b40
# fatal error: An irrecoverable SI_KERNEL SIGSEGV has occurred due to unstable signal handling in this distribution.
#
# JRE version: OpenJDK Runtime Environment (8.0_212-b01) (build 1.8.0_212-b01)
# Java VM: OpenJDK Server VM (25.212-b01 mixed mode linux-x86 )
# Core dump written. Default location: /build/libreoffice-still/core or core.124
#
# An error report file with more information is saved as:
# /build/libreoffice-still/hs_err_pid124.log
#
# If you would like to submit a bug report, please visit:
# http://bugreport.java.com/bugreport/crash.jsp #
Aborted (core dumped)

ant
#
# A fatal error has been detected by the Java Runtime Environment:
#
# Internal Error (os_linux_x86.cpp:291), pid=155, tid=0xf6d4fb40
# fatal error: An irrecoverable SI_KERNEL SIGSEGV has occurred due to unstable signal handling in this distribution.
#
# JRE version: OpenJDK Runtime Environment (8.0_212-b01) (build 1.8.0_212-b01)
# Java VM: OpenJDK Server VM (25.212-b01 mixed mode linux-x86 )
# Core dump written. Default location: /build/libreoffice-still/core or core.155
#
# An error report file with more information is saved as:
# /build/libreoffice-still/hs_err_pid155.log
#
# If you would like to submit a bug report, please visit:
# http://bugreport.java.com/bugreport/crash.jsp #
Aborted (core dumped)

Native frames: (J=compiled Java code, j=interpreted, Vv=VM code, C=native code)
V [libjvm.so+0x897c76]
V [libjvm.so+0x36392a]
V [libjvm.so+0x71341f] JVM_handle_linux_signal+0x6bf
V [libjvm.so+0x70507f]
C [linux-gate.so.1+0×950] __kernel_rt_sigreturn+0×0

Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)
j java.lang.System.nanoTime()J+0
j java.net.URLClassLoader.defineClass(Ljava/lang/String;Lsun/misc/Resource;)Ljava/lang/Class;+0
j java.net.URLClassLoader.access$100(Ljava/net/URLClassLoader;Ljava/lang/String;Lsun/misc/Resource;)Ljava/lang/Class;+3
j java.net.URLClassLoader$1.run()Ljava/lang/Class;+43
j java.net.URLClassLoader$1.run()Ljava/lang/Object;+1
v ~StubRoutines::call_stub
j java.security.AccessController.doPrivileged(Ljava/security/PrivilegedExceptionAction;Ljava/security/AccessControlContext;)Ljava/lang/Object;+0
j java.net.URLClassLoader.findClass(Ljava/lang/String;)Ljava/lang/Class;+13
j java.lang.ClassLoader.loadClass(Ljava/lang/String;Z)Ljava/lang/Class;+70
j sun.misc.Launcher$AppClassLoader.loadClass(Ljava/lang/String;Z)Ljava/lang/Class;+81
j java.lang.ClassLoader.loadClass(Ljava/lang/String;)Ljava/lang/Class;+3
v ~StubRoutines::call_stub
j com.sun.tools.javac.main.Main.(Ljava/lang/String;Ljava/io/PrintWriter;)V+5
j com.sun.tools.javac.main.Main.(Ljava/lang/String;)V+13
j com.sun.tools.javac.Main.compile([Ljava/lang/String;)I+6
j com.sun.tools.javac.Main.main([Ljava/lang/String;)V+1
v ~StubRoutines::call_stub
Admin
Andreas Baumann commented on 18.05.2019 18:19

well. Java errors, hard to debug..
Admin
Andreas Baumann commented on 18.05.2019 18:21

Installing the i686 version in the pentium4 chroot also segfaults..
Admin
Andreas Baumann commented on 18.05.2019 18:25

Java 686 doesn’t segfault on a real i686 installed system. So, I fear, some library in pentium4
is causing java to segfault.
Admin
Andreas Baumann commented on 18.05.2019 18:36

Event: 0.057 Thread 0xf6b07c00 Exception <a> (0xd7b86ea0) thrown at [/build/java8-openjdk/src/jdk8u-jdk8u212-b01/hotspot/src/share/vm/prims/jni.cp
Event: 0.057 Thread 0xf6b07c00 Exception </a><a> (0xd7b87170) thrown at [/build/java8-openjdk/src/jdk8u-jdk8u212-b01/hotspot/src/share/vm/prims/jni.cpp, line 4012]
Event: 0.231 Thread 0xf6b07c00 Exception </a><a> (0xd7cc0498) thrown at [/build/java8-openjdk/src/jdk8u-jdk8u212-b01/hotspot/src/share/vm/prims/jvm.cpp, line 1502]

mmh. this sounds quite internal..
</a>
Admin
Andreas Baumann commented on 18.05.2019 18:50

pentium$:
javac -version
javac 11.0.3

why is libreoffice built with java 8?
Admin
Andreas Baumann commented on 18.05.2019 19:00

weird: on my pentium4 test machine with jdk 8 and 11 installed, I can switch to java 8
and everything is fine.
Admin
Andreas Baumann commented on 18.05.2019 19:03

I remember issues with shared libraries and the way the Jvm is bootstrapping. For
instance not having a /proc causes trouble of this sort. But we have a /proc
(we are using arch-chroot and a bind mount point).
Admin
Andreas Baumann commented on 18.05.2019 19:07

using java 11 and javac 11 on pentium4 works..
Admin
Andreas Baumann commented on 18.05.2019 19:08

..and now we get to “find the 10 differences in this picture”. :-) Admin
Andreas Baumann commented on 18.05.2019 19:14

The only thing I can think of is a different kernel (with more protection enabled):

https://bugs.openjdk.java.net/browse/JDK-8023956 https://bugs.openjdk.java.net/browse/JDK-8181068

This cries for building it on a real Pentium4 or on a properly emulated one, not
in a chroot.
Admin
Erich Eckner commented on 22.05.2019 04:34

&gt; using java 11 and javac 11 on pentium4 works..

why not simply pin the java version to 11, then?
Admin
Andreas Baumann commented on 06.06.2019 18:19

When installing the i686 version of glibc and openjdk8 there is no segfault!
So this sounds more like a new glibc and optimization triggering something in java..
Admin
Andreas Baumann commented on 07.06.2019 16:54

Actually also original SUN java 7 segfaults with this glibc.
Rebuilding glibc didn’t help. So I’m pretty sure it’s some protection thingy
getting into the way of old Java JDKs (because they always pushed their limits
and did funny tricks in the past).
Luke commented on 18.06.2019 18:27

Erich Eckner,
Ant is still broken with pentium4 build of java 11 (i686 works).

$ archlinux-java status
Available Java environments:

java-11-openjdk (default)

Admin
Andreas Baumann commented on 19.06.2019 17:57

19:40 &lt; slacka123&gt; should use “-march=i686 -msse2 -mtune=generic -mfpmath=sse -mstackrealign” instead?
19:54 &lt; slacka123&gt; Yes, it does - https://bugs.documentfoundation.org/show_bug.cgi?id=108619
19:54 &lt; phrik&gt; Title: 108619 – (32bitjavacrash) Java Crash on x86 in jfw_plugin_startJavaVirtualMachine

             w/ recent linux kernels (at bugs.documentfoundation.org)

19:55 &lt; slacka123&gt; Fedora 30 also needs that kernel parameter, “stack_guard_gap=1” to run/build

                 LibreOffice and other java apps

… 19:56 &lt; slacka123&gt; but i686 arch32 also needs it

from the chat protocol: https://mirror.archlinux32.org/irc-logs/%23archlinux32/2019-06-19.html#19:39:59 Admin
Andreas Baumann commented on 21.06.2019 08:29

See: https://src.fedoraproject.org/rpms/glibc/blob/master/f/glibc.spec Admin
Andreas Baumann commented on 21.06.2019 12:23

Thanks slacka123 for the hint. This seems to solve the java/javac crashes.

It’s fixed now in staging and will soon hop into testing.
Admin
Andreas Baumann commented on 11.08.2019 06:03

The segfaults persist through all pentium4 versions of the openjdk.
Additionally now also the 7 version of i686 and pentium4 are segfaulting.
Admin
Andreas Baumann commented on 11.08.2019 07:11

jkd7 also cannot find libattr:

https://patchwork.openembedded.org/patch/110857/ Admin
Andreas Baumann commented on 11.08.2019 07:13

On 64-bit it complains about ant:

error: target not found: apache-ant&gt;=1.8.1

flagged out-of-date upstream, unusable currently for bootstrapping.
Admin
Andreas Baumann commented on 11.08.2019 07:56

https://bugs.archlinux.org/task/63430 Admin
Andreas Baumann commented on 11.08.2019 07:56

configure: Found potential Boot JDK using java© in PATH
configure: Potential Boot JDK found at /usr/lib/jvm/java-8-openjdk is incorrect JDK version (#); ignoring
configure: (Your Boot JDK must be version 7 or 8)
configure: Found potential Boot JDK using well-known locations (in /usr/lib/jvm/java-8-openjdk)
configure: Potential Boot JDK found at /usr/lib/jvm/java-8-openjdk is incorrect JDK version (#); ignoring
configure: (Your Boot JDK must be version 7 or 8)
configure: Found potential Boot JDK using well-known locations (in /usr/lib/jvm/default-runtime)
configure: Potential Boot JDK found at /usr/lib/jvm/default-runtime is incorrect JDK version (#); ignoring
configure: (Your Boot JDK must be version 7 or 8)
configure: Found potential Boot JDK using well-known locations (in /usr/lib/jvm/default)
configure: Potential Boot JDK found at /usr/lib/jvm/default is incorrect JDK version (#); ignoring
configure: (Your Boot JDK must be version 7 or 8)
configure: Could not find a valid Boot JDK.
configure: This might be fixed by explicitely setting –with-boot-jdk
configure: error: Cannot continue
configure exiting with result code 1
Admin
Andreas Baumann commented on 11.08.2019 18:02

building on i686 (where openjdk8 still works) and using makepkg.conf with pentium4
cflags gives a package with wrong architecture though, but running in a pentium4
chroot if installed.

Though when I try to rebuild it with the ‘cross-compiled’ package in a pentium4
chroot, I get:

checking headful support… include support for both headful and headless
configure: Found potential Boot JDK using configure arguments
configure: Potential Boot JDK found at /usr/lib/jvm/java-8-openjdk is incorrect JDK version (#); ignoring
configure: (Your Boot JDK must be version 7 or 8)
configure: error: The path given by –with-boot-jdk does not contain a valid Boot JDK configure exiting with result code 1

Inside I have a hs_err_pid3361.log showing again the darn SI_KERNEL SIGSEGV.

This problem is over my head (and skills).
Admin
Andreas Baumann commented on 12.08.2019 15:26

This sounds interesting:

https://icedtea.classpath.org/bugzilla/show_bug.cgi?id=3533

related question: is -march=pentium4 changing the stack layout?
Admin
Andreas Baumann commented on 12.08.2019 15:28

Should we force stack alignment globally for all libraries which could potentially be
called from java with -mstack-alignment=16? This could break havock on other software..
Admin
Andreas Baumann commented on 12.08.2019 15:28

Also interesting:

https://icedtea.classpath.org/bugzilla/show_bug.cgi?id=3533 Admin
Andreas Baumann commented on 12.08.2019 15:30

Also: -mincoming-stack-boundary=2

https://bugs.gentoo.org/attachment.cgi?id=522650&amp;action=diff Admin
Andreas Baumann commented on 12.08.2019 16:00

So -mstackrealign in the glibc flags helps to realign the stack, so that 4 and 16 byte stacks
can coexist, but Java generates it’s own executable code, which doesn’t respect that?
Why should -mincoming-stack-boundary=2 help then?
I’ll test again a double compilation via working i686 chroot to pentium4 (with -mincoming-stack-boundary=2 in the PKGBUILD of java8-openjdk), then see if it can rebuild itself in a pentium4
chroot.
Admin
Andreas Baumann commented on 13.08.2019 04:48

Apparently this helps, thanks to the Gentoo guys. :-) Admin
Andreas Baumann commented on 13.08.2019 05:05

Now to jdk10, jdk11 and jdk12 (weirdly enough there is no jdk9?).
Admin
Andreas Baumann commented on 15.08.2019 07:32

a working JDK8 for pentium4 hit staging. now for the other versions..
Admin
Andreas Baumann commented on 15.08.2019 11:40

This helps against GOT/PLT errors:

if test ${CARCH} = i686 -o ${CARCH} = pentium4; then
  echo "Removing '-fno-plt' from CFLAGS and CXXFLAGS to prevent build fail with th
  _CFLAGS=${CFLAGS/-fno-plt/}
  _CXXFLAGS=${CXXFLAGS/-fno-plt/}
fi

Admin
Andreas Baumann commented on 15.08.2019 12:03

Finished building targets ‘images docs’ in configuration ‘linux-x86-normal-server-release’ find: &lt;80&gt;&lt;98&gt;../jdk10u-jdk-10.0.2+13/build/linux-i386-normal-server-release/images&lt;80&gt;&lt;99&gt;: No such file or directory
ESC[1mESC[31m==&gt; ERROR:ESC[m^OESC[1m A failure occurred in build().ESC[m^O
ESC[1m Aborting…ESC[m^O
==&gt; ERROR: Build failed, check /var/lib/archbuild/staging-i686/abaumann/build
(END)

needs:

case “${CARCH}” in

x86_64) _JARCH='x86_64';;
i486|i686|pentium4)   _JARCH='x86';;

esac

Google Cache

70Packages: Build-listBug ReportMediumLowchromium not available for i686 (fails in compiler intr...New
0%
Task Description

Attached to Project: Archlinux32
Opened by Andreas Baumann - 10.05.2019
FS#70 - chromium needs SSE2

chromium starts, but every page it loads ends in “Aw snap” and on the console:

Check failed: cpu.has_sse2().

Google Cache

 69 Packages: Build-listBug ReportMediumLow firefox breaks heavily in micro-optimized code Closed
100%
Task Description

Attached to Project: Archlinux32
Opened by Andreas Baumann - 09.05.2019
Last edited by Andreas Baumann - 09.05.2019
 FS#69  - firefox breaks heavily in micro-optimized code

The root cause is rust is not recompiling currently.

The log in detail:

14:57.22 error[E0432]: unresolved import `simd_funcs`
14:57.22 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/x_user_defined.rs:16:1 3
14:57.22 |
14:57.22 16 | use simd_funcs::*;
14:57.22 | ^^^^^^^^^^ maybe a missing `extern crate simd_funcs;`?
14:57.22 error[E0432]: unresolved import `packed_simd`
14:57.22 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/x_user_defined.rs:17:1 3
14:57.22 |
14:57.22 17 | use packed_simd::u16x8;
14:57.22 | ^^^^^^^^^^^ maybe a missing `extern crate packed_simd;`?
14:57.45 error[E0425]: cannot find function `load16_unaligned` in this scope
14:57.45 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/x_user_defined.rs:120 :34
14:57.45 |
14:57.45 120 | let input = unsafe { load16_unaligned(src_ptr.add(i * 16)) };
14:57.45 | ^^^^^^^^^^^^^^^^ not found in this scope
14:57.45 error[E0425]: cannot find function `simd_unpack` in this scope
14:57.45 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/x_user_defined.rs:121 :35
14:57.45 |
14:57.45 121 | let (first, second) = simd_unpack(input);
14:57.45 | ^^^^^^^^^^^ not found in this scope
14:57.45 error[E0425]: cannot find function `store8_unaligned` in this scope
14:57.45 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/x_user_defined.rs:123 :17
14:57.45 |
14:57.45 123 | store8_unaligned(dst_ptr.add(i * 16), shift_upper(first));
14:57.45 | ^^^^^^^^^^^^^^^^ not found in this scope
14:57.45 error[E0425]: cannot find function `store8_unaligned` in this scope
14:57.45 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/x_user_defined.rs:124 :17
14:57.45 |
14:57.45 124 | store8_unaligned(dst_ptr.add1);
14:57.45 | ^^^^^^^^^^^^^^^^ not found in this scope
14:57.46 error[E0412]: cannot find type `u16x8` in this scope
14:57.46 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:121:40
14:57.46 |
14:57.46 121 | pub fn simd_at(&amp;self, i: usize) -&gt; u16x8 {
14:57.46 | ^^^^^ not found in this scope
14:57.46 error[E0425]: cannot find value `SIMD_STRIDE_SIZE` in this scope
14:57.46 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:122:21
14:57.46 |
14:57.46 122 | assert!(i + SIMD_STRIDE_SIZE / 2 &lt;= self.len);
14:57.46 | ^^^^^^^^^^^^^^^^ help: a constant with a similar name exists: `ALU_STR IDE_SIZE`
14:57.47 error[E0425]: cannot find function `to_u16_lanes` in this scope
14:57.47 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:124:18
14:57.47 |
14:57.47 124 | unsafe { to_u16_lanes(load16_unaligned(self.ptr.add(byte_index))) }
14:57.47 | ^^^^^^^^^^^^ not found in this scope
14:57.47 error[E0425]: cannot find function `load16_unaligned` in this scope
14:57.47 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:124:31
14:57.47 |
14:57.47 124 | unsafe { to_u16_lanes(load16_unaligned(self.ptr.add(byte_index))) }
14:57.47 | ^^^^^^^^^^^^^^^^ not found in this scope
14:57.47 error[E0425]: cannot find value `SIMD_STRIDE_SIZE` in this scope
14:57.47 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:145:12
14:57.47 |
14:57.47 145 | if SIMD_STRIDE_SIZE / 2 &lt;= self.len {
14:57.47 | ^^^^^^^^^^^^^^^^ help: a constant with a similar name exists: `ALU_STRIDE_SIZE`
14:57.48 error[E0425]: cannot find value `SIMD_STRIDE_SIZE` in this scope
14:57.48 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:146:47
14:57.48 |
14:57.48 146 | let len_minus_stride = self.len - SIMD_STRIDE_SIZE / 2;
14:57.48 | ^^^^^^^^^^^^^^^^ help: a constant with a sim ilar name exists: `ALU_STRIDE_SIZE`
14:57.48 error[E0425]: cannot find function `simd_byte_swap` in this scope
14:57.48 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:150:28
14:57.48 |
14:57.48 150 | simd = simd_byte_swap(simd);
14:57.48 | ^^^^^^^^^^^^^^ not found in this scope
14:57.49 error[E0425]: cannot find function `store8_unaligned` in this scope
14:57.49 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:153:21
14:57.49 |
14:57.49 153 | store8_unaligned(other.as_mut_ptr().add(offset), simd);
14:57.49 | ^^^^^^^^^^^^^^^^ not found in this scope
14:57.49 error[E0425]: cannot find function `contains_surrogates` in this scope
14:57.49 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:155:20
14:57.49 |
14:57.49 155 | if contains_surrogates(simd) {
14:57.49 | ^^^^^^^^^^^^^^^^^^^ not found in this scope
14:57.49 error[E0425]: cannot find value `SIMD_STRIDE_SIZE` in this scope
14:57.49 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:158:27
14:57.49 |
14:57.49 158 | offset += SIMD_STRIDE_SIZE / 2;
14:57.49 | ^^^^^^^^^^^^^^^^ help: a constant with a similar name exists: `A LU_STRIDE_SIZE`
14:57.50 error[E0425]: cannot find value `SIMD_STRIDE_SIZE` in this scope
14:57.50 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:237:8
14:57.50 |
14:57.50 237 | if SIMD_STRIDE_SIZE &lt;= len {
14:57.50 | ^^^^^^^^^^^^^^^^ help: a constant with a similar name exists: `ALU_STRIDE_SIZE`
14:57.50 error[E0425]: cannot find value `SIMD_STRIDE_SIZE` in this scope
14:57.50 error[E0425]: cannot find value `SIMD_STRIDE_SIZE` in this scope
14:57.50 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:237:8
14:57.50 |
14:57.50 237 | if SIMD_STRIDE_SIZE &lt;= len {
14:57.50 | ^^^^^^^^^^^^^^^^ help: a constant with a similar name exists: `ALU_STRIDE_SIZE`
14:57.50 error[E0425]: cannot find value `SIMD_STRIDE_SIZE` in this scope
14:57.50 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:238:38
14:57.50 |
14:57.50 238 | let len_minus_stride = len - SIMD_STRIDE_SIZE;
14:57.50 | ^^^^^^^^^^^^^^^^ help: a constant with a similar name exists: `ALU_STRIDE_SIZE`
14:57.51 error[E0425]: cannot find value `SIMD_STRIDE_SIZE` in this scope
14:57.51 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:241:52
14:57.51 |
14:57.51 241 | let mut second = src.simd_at(offset + (SIMD_STRIDE_SIZE / 2));
14:57.51 | ^^^^^^^^^^^^^^^^ help: a constant with a similar name exists: `ALU_STRIDE_SIZE`
14:57.51 error[E0425]: cannot find function `simd_byte_swap` in this scope
14:57.51 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:243:25
14:57.51 |
14:57.51 243 | first = simd_byte_swap(first);
14:57.51 | ^^^^^^^^^^^^^^ not found in this scope
14:57.52 error[E0425]: cannot find function `simd_byte_swap` in this scope
14:57.52 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:244:26
14:57.52 |
14:57.52 244 | second = simd_byte_swap(second);
14:57.52 | ^^^^^^^^^^^^^^ not found in this scope
14:57.52 error[E0425]: cannot find function `simd_is_basic_latin` in this scope
14:57.52 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:246:17
14:57.52 |
14:57.52 246 | if !simd_is_basic_latin(first | second) {
14:57.52 | ^^^^^^^^^^^^^^^^^^^ help: a function with a similar name exists: `ascii_to_basic_latin`
14:57.52 error[E0425]: cannot find function `simd_pack` in this scope
14:57.52 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:249:26
14:57.52 |
14:57.52 249 | let packed = simd_pack(first, second);
14:57.52 | ^^^^^^^^^ not found in this scope
14:57.53 error[E0425]: cannot find function `store16_unaligned` in this scope
14:57.53 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:251:17
14:57.53 |
14:57.53 251 | store16_unaligned(dst.as_mut_ptr().add(offset), packed);
14:57.53 | ^^^^^^^^^^^^^^^^^ not found in this scope
14:57.53 error[E0425]: cannot find value `SIMD_STRIDE_SIZE` in this scope
14:57.53 –&gt; /build/firefox/src/mozilla-unified/third_party/rust/encoding_rs/src/handles.rs:253:23
14:57.53 |
14:57.53 253 | offset += SIMD_STRIDE_SIZE;
14:57.53 | ^^^^^^^^^^^^^^^^ help: a constant with a similar name exists: `ALU_STRIDE_SIZE`
14:59.28 error: aborting due to 25 previous errors
14:59.28 Some errors occurred: E0412, E0425, E0432.
14:59.28 For more information about an error, try `rustc –explain E0412`.
14:59.44 error: Could not compile `encoding_rs`.

  Comments (5)
  Related Tasks (0/0)

Admin
Andreas Baumann commented on 09.05.2019 19:36

Compilation of firefox continues..

14:59.44 To learn more, run the command again with –verbose.
14:59.45 make[4]: * [/build/firefox/src/mozilla-unified/config/rules.mk:1027: force-cargo-library-build] Error 101
14:59.45 make[3]:
* [/build/firefox/src/mozilla-unified/config/recurse.mk:74: toolkit/library/rust/target] Error 2
14:59.45 make[3]: * Waiting for unfinished jobs….
17:24.43 Compiling lalrpop v0.16.0 good build system :-&gt;
Admin
Andreas Baumann commented on 09.05.2019 19:38 Let’s see how bad the situation is on pentium4, could easily be Mozilla projects get
build only for pentium4 in the future..
Admin
Andreas Baumann commented on 09.05.2019 19:46 Aha: i686 finally failed: 17:24.43 Compiling lalrpop v0.16.0
21:26.67 Compiling webidl v0.8.0
22:03.14 Compiling binjs_meta v0.4.3
22:25.46 Compiling binast v0.1.1 (/build/firefox/src/mozilla-unified/js/src/frontend/binsource)
22:58.29 Finished release [optimized] target(s) in 17m 41s
22:58.32 make[2]:
* [/build/firefox/src/mozilla-unified/config/recurse.mk:34: compile] Error 2
22:58.32 make[1]: * [/build/firefox/src/mozilla-unified/config/rules.mk:415: default] Error 2
22:58.32 make:
* [client.mk:125: build] Error 2
22:58.33 0 compiler warnings present.

Admin
Andreas Baumann commented on 10.05.2019 05:59

pentium4 seems to work fine.
Levi commented on 16.05.2019 21:08

So, is this getting dropped for i686 then? Probably no great loss; I remember when I was using a P3 in my server box, I gave up trying to use anything graphical, and just used links when I needed to look something up on t’internet.

I note in the i686 repo there’s currently a firefox 65.x rather than the 66.x we’ve got in pentium4, and some language packs that are 66 and some that are 65. English and all its variants are still on 65.x, but I note that it looks broken to me for German or Finnish users. Time to put it out of its misery?

Google Cache

1) i * 16) + 8), shift_upper(second
68Packages: Build-listBug ReportMediumLowdmd rebuild results in gen_man segfaultNew
0%
Task Description

FS#68 : dmd rebuild results in gen_man segfault
Opened by Andreas Baumann - 01.05.2019. FS#68 - dmd rebuild results in gen_man segfault. make: Entering directory ‘/build/dmd/src/dmd/docs’ …

 60 Packages: Build-listBug ReportMediumLow lightdm gtk greeter fails Closed
100%
Task Description

Attached to Project: Archlinux32
Opened by Andreas Baumann - 10.01.2019
Last edited by Andreas Baumann - 20.01.2019
 FS#60  - lightdm gtk greeter fails

Jan 10 12:55:01 arch32-staging systemd-coredump[894]: Process 892 (lightdm-gtk-gre) of user 620 dumped core.

                                                    
                                                    Stack trace of thread 892:
                                                    #0  0x00000000b712bb25 n/a (libglib-2.0.so.0)
                                                    #1  0x00000000b7120230 g_log_default_handler (libglib-2.0.so.0)
                                                    #2  0x00000000b712bd7d g_logv (libglib-2.0.so.0)
                                                    #3  0x00000000b712bf55 g_log (libglib-2.0.so.0)
                                                    #4  0x00000000b711267a g_thread_new (libglib-2.0.so.0)
                                                    #5  0x00000000b7132a1e n/a (libglib-2.0.so.0)
                                                    #6  0x00000000b7132a7a n/a (libglib-2.0.so.0)
                                                    #7  0x00000000b70e78d7 g_unix_signal_source_new (libglib-2.0.so.0)
                                                    #8  0x00000000b70ea3ef g_unix_signal_add_full (libglib-2.0.so.0)
                                                    #9  0x00000000b70ea463 g_unix_signal_add (libglib-2.0.so.0)
                                                    #10 0x00000000004dc145 main (lightdm-gtk-greeter)
                                                    #11 0x00000000b6c87a49 __libc_start_main (libc.so.6)
                                                    #12 0x00000000004de7f5 _start (lightdm-gtk-greeter)

Closed by Andreas Baumann
20.01.2019 16:04
Reason for closing: Fixed
Additional comments about closing:

hotfixed in lightdm-1:1.28.0-1.3

  Comments (12)
  Related Tasks (0/0)

Admin
Andreas Baumann commented on 19.01.2019 07:49

So, this happens when registering a signal handler: g_unix_signal_add.

Usually this points into the direction of ABI mismatches..
Admin
Andreas Baumann commented on 19.01.2019 08:07

[+0.83s] DEBUG: Session pid=3468: Running command /usr/bin/lightdm-gtk-greeter
[+0.83s] DEBUG: Creating shared data directory /var/lib/lightdm-data/lightdm
[+0.83s] DEBUG: Session pid=3468: Logging to /var/log/lightdm/seat0-greeter.log
[+1.45s] DEBUG: Seat seat0: Stopping; failed to start a greeter

the logfile is empty.

So, the question is, why doesn’t the greeter start and segfault.
Admin
Andreas Baumann commented on 19.01.2019 09:19

rebuilt both lightdm-gtk-greeter and glib2 with debugging information (options=debug in PKGBUILD).

Now the stacktrace looks like:

#0 0xb7178b25 in _g_log_abort (breakpoint=1) at ../glib/glib/gmessages.c:554
554 G_BREAKPOINT ();
(gdb) bt
#0 0xb7178b25 in _g_log_abort (breakpoint=1) at ../glib/glib/gmessages.c:554
#1 0xb716d230 in g_log_default_handler

  (log_domain=0xb71b40d0 "GLib", log_level=6, message=0x78ee60 "creating thread 'gmain': Error creating thread: Resource temporarily unavailable", unused_data=0x0) at ../glib/glib/gmessages.c:3111

#2 0xb7178d7d in g_logv

  (log_domain=0xb71b40d0 "GLib", log_level=G_LOG_LEVEL_ERROR, format=0xb7207a67 "creating thread '%s': %s", args=0xbf85e91c "\262\320 \267") at ../glib/glib/gmessages.c:1350

#3 0xb7178f55 in g_log

  (log_domain=0xb71b40d0 "GLib", log_level=G_LOG_LEVEL_ERROR, format=0xb7207a67 "creating thread '%s': %s") at ../glib/glib/gmessages.c:1413

#4 0xb715f67a in g_thread_new (name=0xb720d0b2 “gmain”, func=0xb7180b70 , data=0×0)

  at ../glib/glib/gthread.c:830

#5 0xb717fa1e in g_get_worker_context () at ../glib/glib/gmain.c:5888
#6 0xb717fa7a in ref_unix_signal_handler_unlocked (signum=15, signum=)

  at ../glib/glib/gmain.c:5224

#7 0xb71348d7 in _g_main_create_unix_signal_watch (signum=15) at ../glib/glib/gmain.c:5332
#8 0xb71348d7 in g_unix_signal_source_new (signum=15, signum=)

  at ../glib/glib/glib-unix.c:222

#9 0xb71373ef in g_unix_signal_add_full

  (priority=0, signum=15, handler=0x495f90 , user_data=0x1, notify=0x0)
  at ../glib/glib/glib-unix.c:252

#10 0xb7137463 in g_unix_signal_add (signum=15, handler=0x495f90 , user_data=0×1)
–Type for more, q to quit, c to continue without paging–

  at ../glib/glib/glib-unix.c:283

#11 0×00490145 in main (argc=, argv=) at lightdm-gtk-greeter.c:2768

Admin
Andreas Baumann commented on 19.01.2019 09:44

creating thread ‘gmain’: Error creating thread: Resource temporarily unavailable

This is the interesting one. Why should creating a thread run out of resources? And which
resources?
Admin
Andreas Baumann commented on 19.01.2019 09:47

This is not by any chance an unhandled EAGAIN?
Admin
Andreas Baumann commented on 19.01.2019 10:04

[pid 6607] execve(”/usr/bin/core_perl/plymouth”, [”plymouth”, “–ping”], 0xbfa9086c /* 22 vars */) = -1 ENOENT (No such file or directory)

this seems a collateral damage (aka hard-coded call to the bootup manager plymouth), not every
Linux distribution has a plymouth, so I hope, this is actually optional..
The -ping indicates, that plymouth is started with ping, to see whether it is around.
It doesn’t seem to have something to do with our problem though..

There is a strace entry showing the greeter gets started:

[pid 6616] execve(”/usr/bin/lightdm-gtk-greeter”, [”/usr/bin/lightdm-gtk-greeter”], 0xf61510 /* 15 vars */) = 0

later the sighandler tries to open a new thread:

825 GThread *thread;
826
827 thread = g_thread_new_internal (name, g_thread_proxy, func, data, 0, &amp;error);
828
829 if G_UNLIKELY (thread == NULL)
830 g_error (”creating thread ‘%s’: %s”, name ? name : ““, error-&gt;message);
831
832 return thread;

So, if it runs out of resources here (due to a systemd limit, rlimit thing), this would
explain the startup issues..

There is also a suspicious:

[pid 6616] mmap2(NULL, 8392704, PROT_NONE, MAP_PRIVATE|MAP_ANONYMOUS|MAP_STACK, -1, 0) = -1 EAGAIN (Resource temporarily unavailable)

So, I check the rlimit settings used by systemd for login session..
Admin
Andreas Baumann commented on 20.01.2019 09:21

Sounds related:

https://github.com/abrt/faf/issues/212 Admin
Andreas Baumann commented on 20.01.2019 10:37

mmh. why does lightdm-gtk-greeter work on 64-bit Archlinux?
Admin
Andreas Baumann commented on 20.01.2019 10:55

aha. the mmap works there.
Admin
Andreas Baumann commented on 20.01.2019 13:54

lightdm-gtk-greeter.c

mlockall (MCL_CURRENT | MCL_FUTURE);

commenting that out lets the mmap2 succeed.

As we deal with passwords, just disabling the locking is maybe not the best idea.

Incrementing the systemd limit in lightdm.conf LimitMEMLOCK=2684354560
didn’t help at all.
Admin
Andreas Baumann commented on 20.01.2019 13:58

Locking the whole greeter with all GTK inside is maybe also not the wisest idea..
Admin
Andreas Baumann commented on 20.01.2019 14:03

LimitMEMLOCK=infinity in /lib/systemd/system/lightdm.service seemed so help.

Google Cache

 46 Packages: Build-listBug ReportMediumLow electron - pic issues Closed
100%
Task Description

Attached to Project: Archlinux32
Opened by Erich Eckner - 27.06.2018
 FS#46  - electron - pic issues

/usr/bin/clang++ -Wl,-O1,–sort-common,–as-needed,-z,relro,-z,now -Wl,-z,noexecstack -Wl,-rpath=\$ORIGIN -rdynamic -Wl,–export-dynamic -pthread -Wl,–no-keep-memory –sysroot=/ -Lusr/lib/libfakeroot -Wl,-rpath-link=usr/lib/libfakeroot -m32 -Wl,-z,noexecstack -Wl,-O1 -Wl,–as-needed -Wl,–gc-sections -flto=thin -fuse-ld=lld -Wl,–icf=all -Wl,–lto-O0 -Wl,-mllvm,-function-sections -Wl,-mllvm,-data-sections -Wl,-rpath-link=lib/ -o electron -Wl,–start-group obj/atom/app/electron.atom_main.o obj/libelectron_lib.a obj/brightray/libbrightray.a obj/vendor/breakpad/libbreakpad_client.a -Wl,–end-group lib/libnode.so -Wl,–start-group /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libangle.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libbase.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libcc.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libchromiumcontent.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libcomponents.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libmedia.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libnet.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libpdfium.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libppapi.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libservices.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libskia.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libwebkit.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libwebkitbindings.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libwebkitcore.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libwebkitmodules.a /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libwebrtc.a -Wl,–end-group -lpthread -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -lfribidi -latk-1.0 -lcairo-gobject -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -ldbus-1 -lX11-xcb -lxcb -lXi -lXcursor -lXdamage -lXrandr -lXcomposite -lXext -lXfixes -lXrender -lX11 -lXtst -lXss -lgconf-2 -lgmodule-2.0 -lglib-2.0 -lssl3 -lsmime3 -lnss3 -lnssutil3 -lplds4 -lplc4 -lnspr4 -lasound -lcap -lcups -lrt -ldl -lresolv -lfontconfig -lexpat -lavcodec -lavformat -lavutil -levent -lFLAC -lharfbuzz-icu -lharfbuzz -ljsoncpp -lminizip -lpulse -lvpx -lwebpdemux -lwebpmux -lwebp -lxslt -lm -lxml2 -lz -ljpeg -lre2 -lsnappy -latomic
/usr/bin/ld.lld: error: can’t create dynamic relocation R_386_32 against local symbol in readonly segment; recompile object files with -fPIC
&gt;&gt;&gt; defined in /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libchromiumcontent.a(dct.o)
&gt;&gt;&gt; referenced by ../../third_party/openh264/src/codec/common/x86/dct.asm
&gt;&gt;&gt; dct.o:(.text+0×337) in archive /build/electron/src/electron/vendor/libchromiumcontent/dist/main/static_library/libchromiumcontent.a

I doubt, that this file gets compiled at all - the only occurences upto the above are:
[29/30] AR obj/chromiumcontent/libchromiumcontent.a
and
[34/16236] COPY /build/electron/src/electron/vendor/libchromiumcontent/src/out-ia32/static_library/obj/chromiumcontent/libchromiumcontent.a

  Comments (1)
  Related Tasks (0/0)

Admin
Erich Eckner commented on 27.07.2018 04:23

I tried to remove all *.a and *.o files first, but this just creates other issues

Google Search

 43 Packages: Build-listBug ReportMediumLow qt5-webengine, firefox, firefox-developer-edition use t ...Closed
100%
Task Description

Attached to Project: Archlinux32
Opened by Andreas Baumann - 16.06.2018
Last edited by Andreas Baumann - 02.10.2019
 FS#43  - qt5-webengine, firefox, firefox-developer-edition use too much memory

In file included from gen/third_party/WebKit/public/platform/modules/presentation/presentation.mojom-shared.h:24,

               from gen/third_party/WebKit/public/platform/modules/presentation/presentation.mojom.h:37,
               from ../../../../qtwebengine-everywhere-src-5.11.0/src/3rdparty/chromium/content/browser/frame_host/render_frame_host_impl.h:66,
               from ../../../../qtwebengine-everywhere-src-5.11.0/src/3rdparty/chromium/content/browser/frame_host/frame_tree_node.h:18,
               from ../../../../qtwebengine-everywhere-src-5.11.0/src/3rdparty/chromium/content/browser/devtools/browser_devtools_agent_host.cc:21:

gen/third_party/WebKit/public/platform/modules/presentation/presentation.mojom-shared-internal.h:139:35: warning: alignment 1 of ‘blink::mojom::internal::PresentationConnectionMessage_Data’ is less than 8 [-Wpacked-not-aligned]
class MOJOM_SHARED_CONTENT_EXPORT PresentationConnectionMessage_Data {

                                 ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

virtual memory exhausted: Cannot allocate memory
ninja: build stopped: subcommand failed.

Also in firefox:

91:37.06 ../../build/unix/gold/ld: fatal error: libxul.so: mmap: failed to allocate 1703955732 bytes for output file: Cannot allocate memory
91:37.06 collect2: error: ld returned 1 exit status
91:37.06 make[4]: * [/build/firefox/src/mozilla-unified/config/rules.mk:701: libxul.so] Error 1
91:37.06 make[3]:
* [/build/firefox/src/mozilla-unified/config/recurse.mk:73: toolkit/library/target] Error 2
91:37.06 make[2]: * [/build/firefox/src/mozilla-unified/config/recurse.mk:33: compile] Error 2
91:37.06 make[1]:
* [/build/firefox/src/mozilla-unified/config/rules.mk:434: default] Error 2
91:37.06 make: *** [client.mk:168: build] Error 2

Closed by Andreas Baumann
02.10.2019 19:26
Reason for closing: Fixed
Additional comments about closing:

Currently firefox and qt5-webengine build.
firefox-developer-edition is blacklisted as it causes too much trouble
already as the official released version, so we don’t to beta testing
here..

  Comments (10)
  Related Tasks (0/0)

Admin
Andreas Baumann commented on 16.06.2018 05:33

Build slaves should have a 4GB swap space (if they are virtual machines),
and sysctl vm.mmap_min_addr=0 should be set.

For containers I don’t know what’s best becauste systemd-nspawn has
a mind of its own. sysctl vm.mmap_min_addr=0 on the host helped here too.
Admin
Andreas Baumann commented on 16.06.2018 05:37

Another solution could be not to use the gold-ld.
Admin
Andreas Baumann commented on 16.06.2018 06:26

and another one:

CodeCache::InnerPointerToCodeCacheEntry’; use assignment or value-initialization instead [-Wclass-memaccess]

   memset(&amp;cache_[0], 0, sizeof(cache_));
                                       ^

../../../../qtwebengine-everywhere-src-5.11.0/src/3rdparty/chromium/v8/src/frames.h:36:10: note: ‘struct v8::internal::InnerPointerToCodeCache::InnerPointerToCodeCacheEntry’ declared here

 struct InnerPointerToCodeCacheEntry {
        ^~~~~~~~~~~~~~~~~~~~~~~~~~~~

{standard input}: Assembler messages:
{standard input}:15117: Warning: end of file not at end of a line; newline inserted
{standard input}: Error: open CFI at the end of file; missing .cfi_endproc directive
g++: fatal error: Terminated signal terminated program cc1plus
compilation terminated.
ninja: build stopped: subcommand failed.

This looks like truncated assembly to me. Maybe using tmpfile instead of -pipe?
Admin
Andreas Baumann commented on 17.06.2018 06:24

qt5-webkit fails now much later in a build race in a plugin. removing -pipe could
also help for all other packages running out of virtual memory, so maybe changing
the global build options to ‘-j1’ and not ‘-pipe’ in makepkg.conf is an idea.
Or we patch the affected packages only, but patching away a -pipe might not be as
easy as one may think.
Admin
Andreas Baumann commented on 20.06.2018 05:01

Still trouble with firefox and firefox-developer-edition, -pipe gets added
somewhere even if I change it in the build chroot configuration in makepkg.conf..
Admin
Andreas Baumann commented on 21.06.2018 11:46

-pipe doens’t have a huge impact.

So I’ll try with some special LDFLAGS -Wl,–no-keep-memory, after a hint in:

https://bugzilla.mozilla.org/show_bug.cgi?id=854535 Admin
Andreas Baumann commented on 23.06.2018 07:56

A top on a 64-bit Archlinux shows me the following during a build:

26963 arch 20 0 6336364 1.8g 1468 R 7.0 91.8 1:44.14 dump_syms

0 S arch 26958 26956 0 80 0 - 25355 - 20:29 pts/0 00:00:00 /data/firefox/src/mozilla-unified/obj-x86_64-pc-linux-gnu/_virtualenv/bin/python /data/firefox/src/mozilla-unified/toolkit/crashreporter/tools/symbolstore.py -c –vcs-info –install-manifest=/data/firefox/src/mozilla-unified/obj-x86_64-pc-linux-gnu/_build_manifests/install/dist_include,/data/firefox/src/mozilla-unified/obj-x86_64-pc-linux-gnu/dist/include -s /data/firefox/src/mozilla-unified /data/firefox/src/mozilla-unified/obj-x86_64-pc-linux-gnu/dist/host/bin/dump_syms /data/firefox/src/mozilla-unified/obj-x86_64-pc-linux-gnu/dist/crashreporter-symbols /data/firefox/src/mozilla-unified/obj-x86_64-pc-linux-gnu/toolkit/library/libxul.so
0 D arch 26963 26958 7 80 0 - 1146305 - 20:29 pts/0 00:00:34 /data/firefox/src/mozilla-unified/obj-x86_64-pc-linux-gnu/dist/host/bin/dump_syms /data/firefox/src/mozilla-unified/obj-x86_64-pc-linux-gnu/toolkit/library/libxul.so

So, this dump_syms program will never work in an 32-bit address room. The question
is, can it be tuned or hacked? The question, why did it work till now and what
changed so it doesn’t work currently?
Admin
Andreas Baumann commented on 02.07.2018 15:58

Another try using the standard linker instead of the gold one.
Admin
Andreas Baumann commented on 02.07.2018 19:43

I think, I’m in the wrong movie:

36:53.02 libxul.so
37:13.26 /usr/bin/ld: out of memory allocating 1000 bytes after a total of 898674688 bytes
37:13.26 collect2: error: ld returned 1 exit status

Admin
Andreas Baumann commented on 02.10.2019 19:24

Rust things also run out of memory (firefox), disabling some debug info
with debug_info=1 makes the builds succeed.

Google Cache

 29 Packages: Build-listBug ReportMediumLow [haskell-hslua] check() fails Closed
100%
Task Description

Attached to Project: Archlinux32
Opened by Erich Eckner - 18.02.2018
 FS#29  - [haskell-hslua] check() fails

several failures during check() - disabling for now

==&gt; Starting check()… Running 1 test suites… Test suite test-hslua: RUNNING… hslua

Haskell version of the C API
  copy
    copies stack elements using positive indices:               OK
    copies stack elements using negative indices:               OK
  insert
    inserts stack elements using negative indices:              OK
    inserts stack elements using negative indices:              OK
  absindex:                                                     OK
  gettable gets a table value:                                  FAIL
    test/Test/HsLua/Util.hs:35:
    lua operation returned false
  strlen, objlen, and rawlen all behave the same:               OK
  Type checking
    isfunction:                                                 OK
    isnil:                                                      OK
    isnone:                                                     OK
    isnoneornil:                                                OK
  CFunction handling:                                           OK
  getting values
    tointegerx returns numbers verbatim:                        OK
    tointegerx accepts strings coercible to integers:           OK
    tointegerx returns Nothing when given a boolean:            OK
    tonumberx returns numbers verbatim:                         OK
    tonumberx accepts strings as numbers:                       OK
    tonumberx returns Nothing when given a boolean:             OK
  setting and getting a global works:                           OK
  can push and receive a thread:                                OK
  different threads are not equal:                              OK
  thread status:                                                OK
  loading
    loadstring status:                                          OK
    dostring loading:                                           OK
    dofile loading:                                             OK
  pcall status:                                                 OK
  garbage collection:                                           OK
  compare
    identifies strictly smaller values:                         FAIL
      *** Failed! Assertion failed (after 1 test): 
      LuaInteger 0
      Use --quickcheck-replay=586817 to reproduce.
    identifies smaller or equal values:                         FAIL
      *** Failed! Assertion failed (after 1 test): 
      LuaInteger 0
      Use --quickcheck-replay=316579 to reproduce.
    identifies equal values:                                    OK
      +++ OK, passed 100 tests.
  lessthan works:                                               FAIL
    *** Failed! Assertion failed (after 2 tests): 
    LuaNumber (-0.35170612)
    LuaNumber 0.84471506
    Use --quickcheck-replay=507888 to reproduce.
  order of Lua types is consistent:                             OK
    +++ OK, passed 100 tests.
  functions can throw a table as error message:                 OK
  handling table errors won't leak:                             OK
Interoperability
  call haskell functions from lua
    push haskell function to lua:                               OK
    push multi-argument haskell function to lua:                OK
    argument type errors are propagated:                        OK
    convert haskell function to c function:                     OK
    Error in Haskell function is converted into Lua error:      OK
  call lua function from haskell
    test equality within lua:                                   FAIL
      test/Foreign/Lua/FunctionCallingTest.hs:106:
      raw equality test failed
      expected: True
       but got: False
    failing lua function call:                                  OK
    print the empty string via lua procedure:                   

OK

    failing lua procedure call:                                 OK
Utilities
  Optional return the value if it exists:                       OK
  Optional can deal with missing values:                        OK
  raiseError causes a Lua error:                                OK
Sendings and receiving values from the stack
  peek and push are well behaved
    Peek can act as left inverse of push
      round-tripping unit:                                      OK
        +++ OK, passed 100 tests.
      booleans remain equal under push/peek:                    OK
        +++ OK, passed 100 tests.
      lua numbers (i.e., doubles) remain equal under push/peek: FAIL
        *** Failed! Assertion failed (after 2 tests): 
        LuaNumber (-1.926296)
        Use --quickcheck-replay=670723 to reproduce.
      lua integers remain equal under push/peek:                IGNORED
      bytestring remain equal under push/peek:                  OK
        +++ OK, passed 100 tests.
      round-tripping strings:                                   OK (0.01s)
        +++ OK, passed 100 tests.
      lists of boolean remain equal under push/peeks:           OK
        +++ OK, passed 100 tests.
      lists of lua integers remain equal under push/peek:       IGNORED
      lists of bytestrings remain equal under push/peek:        OK (0.15s)
        +++ OK, passed 100 tests.
      text:                                                     OK
        +++ OK, passed 100 tests.
      map of strings to LuaNumber:                              FAIL
        *** Failed! Assertion failed (after 2 tests and 1 shrink): 
        fromList [("",LuaNumber (-0.9010369))]
        Use --quickcheck-replay=119067 to reproduce.
      tuples
        pair of LuaNumbers:                                     FAIL
          *** Failed! Assertion failed (after 2 tests): 
          (LuaNumber (-0.34098855),LuaNumber 0.2441068)
          Use --quickcheck-replay=296075 to reproduce.
        triple of LuaNumbers:                                   FAIL
          *** Failed! Assertion failed (after 2 tests): 
          (LuaNumber 0.46677026,LuaNumber 0.9009714,LuaNumber 0.2326173)
          Use --quickcheck-replay=85608 to reproduce.
        quadruple of LuaNumbers:                                FAIL
          *** Failed! Assertion failed (after 2 tests): 
          (LuaNumber 1.8909019,LuaNumber (-0.85486156),LuaNumber (-4.0685906),LuaNumber (-12.583851))
          Use --quickcheck-replay=305430 to reproduce.
        quintuple of LuaNumbers:                                FAIL
          *** Failed! Assertion failed (after 2 tests): 
          (LuaNumber 0.2735047,LuaNumber 2.1247218,LuaNumber 0.1806469,LuaNumber 0.9455812,LuaNumber 0.98733383)
          Use --quickcheck-replay=608867 to reproduce.
        hextuple of Text, LuaNumbers and Booleans:              FAIL
          *** Failed! Assertion failed (after 2 tests and 1 shrink): 
          (False,LuaNumber (-2.381176),"",False,LuaNumber (-0.8418731),LuaNumber (-0.39977068))
          Use --quickcheck-replay=572229 to reproduce.
        septuple of Text, LuaNumber and Booleans:               FAIL
          *** Failed! Assertion failed (after 2 tests and 3 shrinks): 
          ("",False,LuaNumber 1.3463217,False,False,LuaNumber (-1.4167022),False)
          Use --quickcheck-replay=692263 to reproduce.
        octuple of Strings and Booleans:                        OK (0.03s)
          +++ OK, passed 100 tests.
    Random stack values
      can push/pop booleans:                                    OK (0.01s)
        +++ OK, passed 100 tests.
      can push/pop lua integers:                                OK (0.01s)
        +++ OK, passed 100 tests.
      can push/pop lua numbers:                                 FAIL
        *** Failed! Assertion failed (after 3 tests): 
        LuaNumber 1.5588847
        Ordered {getOrdered = [Positive {getPositive = LuaInteger 1},Positive {getPositive = LuaInteger 2}]}
        Use --quickcheck-replay=197445 to reproduce.
      can push/pop bytestrings:                                 OK (0.02s)
        +++ OK, passed 100 tests.
      can push/pop lists of booleans:                           OK (0.04s)
        +++ OK, passed 100 tests.
      can push/pop lists of LuaIntegers:                        OK (0.04s)
        +++ OK, passed 100 tests.
      can push/pop lists of bytestrings:                        OK (0.19s)
        +++ OK, passed 100 tests.
  FromLuaStack
    receives basic values from the stack:                       OK
    returns an error if the types don't match:                  OK
    list cannot be read if a list element fails:                OK
    stack is unchanged if getting a list fails:                 OK
    stack is unchanged if getting key-value pairs fails:        OK
  ToLuaStack
    pushing simple values to the stack
      Boolean can be pushed correctly:                          OK
      LuaNumbers can be pushed correctly:                       FAIL
        test/Foreign/Lua/Types/ToLuaStackTest.hs:105:
        5::LuaNumber was not pushed
      LuaIntegers can be pushed correctly:                      FAIL
        test/Foreign/Lua/Types/ToLuaStackTest.hs:105:
        42::LuaInteger was not pushed
      ByteStrings can be pushed correctly:                      OK
      Unit is pushed as nil:                                    OK
      Pointer is pushed as light userdata:                      OK
    pushing a value increases stack size by one
      LuaInteger:                                               OK
        +++ OK, passed 100 tests.
      LuaNumber:                                                OK
        +++ OK, passed 100 tests.
      ByteString:                                               OK
        +++ OK, passed 100 tests.
      String:                                                   OK
        +++ OK, passed 100 tests.
      list of booleans:                                         OK
        +++ OK, passed 100 tests.
lua integration tests
  print version:                                                OK
  functions stored in / retrieved from registry:                OK
  getting a nested global works:                                OK
  setting a nested global works:                                OK
  table reading:                                                OK
  Getting strings to and from the stack
    unicode ByteString:                                         OK
    ByteString should survive after GC/Lua destroyed:           OK
    String with NUL byte should be pushed/popped correctly:     OK
  luaopen_* functions
    opendebug:                                                  OK
    openio:                                                     OK
    openmath:                                                   OK
    openos:                                                     OK
    openpackage:                                                OK
    openstring:                                                 OK
    opentable:                                                  OK
  luaopen_base returns the right number of tables
    openbase:                                                   OK
  C functions
    Registering a C function and calling it from Lua:           FAIL
      test/Foreign/LuaTest.hs:162:
      greeting function failed
      expected: Right ["Caffeine","induced","nonsense"]
       but got: Right []
    pushing a C closure to and calling it from Lua:             OK
  error handling
    lua errors are caught:                                      OK
    error-less code gives in 'Right' result:                    OK
    catching lua errors within the lua type:                    OK
    second alternative is used when first fails:                OK
    Applicative.empty implementation throws an exception:       OK
    catching error of a failing meta method:                    OK
    calling a function that errors throws exception:            OK

17 out of 112 tests failed (0.60s)
Test suite test-hslua: FAIL
Test suite logged to: dist/test/hslua-0.9.5-test-hslua.log
0 of 1 test suites (0 of 1 test cases) passed.
==&gt; ERROR: A failure occurred in check().

Bing Cache

28Packages: Build-listBug ReportMediumLowpostgrest: checks start a Postgresql server and then te...New
0%
Task Description

Starting check()… WARNING [pifpaf.drivers] `psutil.Popen(pid=2683, status=’terminated’)` is already gone, sending SIGKILL to its process group
WARNING [pifpaf.drivers] `psutil.Popen(pid=2671, status=’terminated’)` is already gone, sending SIGKILL to its process group
WARNING [pifpaf.drivers] `psutil.Popen(pid=2669, status=’terminated’)` is already gone, sending SIGKILL to its process group
ERROR [pifpaf] Error while running command: [b’/usr/bin/pg_ctl’, ‘-w’, ‘-o’, ‘-k /tmp/tmp5_5e9_hy -p 5432 -h “127.0.0.1”‘, ‘start’]
createdb: could not connect to database template1: could not connect to server: No such file or directory
Is the server running locally and accepting
connections on Unix domain socket “/run/postgresql/.s.PGSQL.5432”? ERROR: A failure occurred in check().
Aborting…
ERROR: Build failed, check /data/archbuild/staging-i686/arch32/build

Disabling tests for now.

  Comments (1)
  Related Tasks (0/0)

Admin
Andreas Baumann commented on 15.02.2018 16:56

Didn’t pifpaf itself had problems building? Maybe it’s a pifpaf issue..

Bing cache

 23 Packages: Build-listBug ReportMediumLow libretro* packages failing, seem unsupported for 32-bit ...Closed
100%
Task Description

Attached to Project: Archlinux32
Opened by Andreas Baumann - 04.01.2018
Last edited by Erich Eckner - 26.01.2018
 FS#23  - libretro* packages failing, seem unsupported for 32-bit Intel/Linux

This affects the following packages:
- libretro-citra (unsuported architecture in dynarmic submodule)
- libretro-parallel-n64: tons of assembly errors
- libretro-ppsspp: linking issues with ffmpeg
- libretro-mupen64plus: direct GOT relocation R_386_GOT32X against _ZN9PluginAPI3getEv PluginAPI::get()

blacklisting all.
Closed by Erich Eckner
26.01.2018 17:08
Reason for closing: Won’t fix
Additional comments about closing:

blacklisted

  Comments (0)

Google Cache

 22 Packages: Build-listBug ReportMediumLow [firefox-developer-edition] build fails with out of mem ...Closed
100%
Task Description

Attached to Project: Archlinux32
Opened by Andreas Baumann - 16.12.2017
Last edited by Erich Eckner - 17.12.2017
 FS#22  - [firefox-developer-edition] build fails with out of memory when using rust

49:50.05 note: rustc 1.22.1 running on i686-unknown-linux-gnu
49:50.05
49:50.05 note: run with `RUST_BACKTRACE=1` for a backtrace
49:50.05
49:50.05 thread ‘rustc’ panicked at ‘called `Result::unwrap()` on an `Err` value: Error { repr: Custom(Custom { kind: Other, error: StringError(”Cannot allocate memory”) }) }’, src/libcore/result.rs:906:4
49:50.05 stack backtrace:
49:50.05 0: 0xf7caf5ea - rust_metadata_std_a60a98c24b539dcf2508f3d395979a97
49:50.05 1: 0xf7caa43e - rust_metadata_std_a60a98c24b539dcf2508f3d395979a97
49:50.05 2: 0xf7cbb31c - rust_metadata_std_a60a98c24b539dcf2508f3d395979a97
49:50.05 3: 0xf7cbb051 - rust_metadata_std_a60a98c24b539dcf2508f3d395979a97
49:50.05 4: 0xf7cbb82b - std::panicking::rust_panic_with_hook::h269fa2b74a2a0cee
49:50.05 5: 0xf7cbb6f6 - rust_metadata_std_a60a98c24b539dcf2508f3d395979a97
49:50.05 6: 0xf7cbb616 - std::panicking::begin_panic_fmt::hfe3f4b4d254fe489
49:50.05 7: 0xf7cbb57d - rust_begin_unwind
49:50.05 8: 0xf7d10dd6 - core::panicking::panic_fmt::h39c7136c9dc224e1
49:50.05 9: 0xf791f50a - rust_metadata_rustc_trans_73f1dcf221d7505426c13ccaa7d81bf3
49:50.05 10: 0xf79558dc - rust_metadata_rustc_trans_73f1dcf221d7505426c13ccaa7d81bf3
49:50.05 11: 0xf794f7e6 - rustc_trans::back::link::each_linked_rlib::h1e799094f6b686fb
49:50.05 12: 0xf794ff56 - rust_metadata_rustc_trans_73f1dcf221d7505426c13ccaa7d81bf3
49:50.05 13: 0xf794f19b - rustc_trans::back::link::link_binary::ha97335099e542ac0
49:50.06 14: 0xf79f455e - ::link_binary::h62e43ed882d32b44
49:50.06 15: 0xf7e686c5 - rustc_driver::driver::compile_input::hfa914359aa3118bb
49:50.06 16: 0xf7e82a2a - rustc_driver::run_compiler::hcd191a8815d2728b
49:50.06 17: 0xf7d9cc8f - rust_metadata_rustc_driver_e8ab70a79951e31413d2f7ce5f23c51c
49:50.06 18: 0xf7cc5542 - rust_maybe_catch_panic
49:50.06 19: 0xf7dd6891 -
49:50.06 20: 0xf7cba2db - rust_metadata_std_a60a98c24b539dcf2508f3d395979a97
49:50.06 21: 0xf622ee55 - start_thread
49:50.06 22: 0xf7b6dd05 -
clone
49:50.06 23: 0×0 -
49:50.06
49:50.23 error: Could not compile `gkrust`.
49:50.23
49:50.23 To learn more, run the command again with –verbose.
49:50.24 make[4]: * [/build/firefox-developer-edition/src/mozilla-unified/config/rules.mk:953: force-cargo-library-build] Error 101
49:50.24 make[3]:
* [/build/firefox-developer-edition/src/mozilla-unified/config/recurse.mk:73: toolkit/library/rust/target] Error 2
49:50.24 make[2]: * [/build/firefox-developer-edition/src/mozilla-unified/config/recurse.mk:33: compile] Error 2
49:50.24 make[1]:
* [/build/firefox-developer-edition/src/mozilla-unified/config/rules.mk:432: default] Error 2
49:50.24 make: *** [client.mk:274: build] Error 2
49:50.28 635 compiler warnings present.
49:50.44 Notification center failed: Install notify-send (usually part of the libnotify package) to get a notification when the build finishes.
==&gt; ERROR: A failure occurred in build().

  Aborting...

==&gt; ERROR: Build failed, check /var/lib/archbuild/staging-with-build-support-i686/erich/build

Closed by Erich Eckner
17.12.2017 19:10
Reason for closing: Not a bug

  Comments (0)

Google Cache

20Packages: Build-listBug ReportMediumLow[sagemath-doc] building documentation using Sphinx segf...New
0%
Task Description

[tutorial ] Saved pickle file: citations.pickle
[tutorial ] Exception occurred:
[tutorial ] File “/usr/lib/python2.7/site-packages/sphinx/environment/init.py”, line 152, in dump
[tutorial ] pickle.dump(env, f, pickle.HIGHEST_PROTOCOL)
[tutorial ] MemoryError
[tutorial ] The full traceback has been saved in /tmp/sphinx-err-kSNZ9A.log, if you want to report the issue to the developers.
[tutorial ] Please also report this if it was a user error, so that a better error message can be provided next time.
[tutorial ] A bug report can be filed in the tracker at . Thanks!
Build finished. The built documents can be found in /build/sagemath-doc/src/sage-8.1/src/doc/html/ja/tutorial
/startdir/PKGBUILD: line 79: 2540 Segmentation fault (core dumped) python2 sage_setup/docbuild –no-pdf-links -k all html
==&gt; ERROR: A failure occurred in build().

  Aborting...

==&gt; ERROR: Build failed, check /data/archbuild/staging-i686/copy/build

Bing Cache

 12 Packages: Build-listBug ReportMediumLow [python-setuptools] check() fails (due to some mpmath i ...Closed
100%
Task Description

Attached to Project: Archlinux32
Opened by Erich Eckner - 15.11.2017
Last edited by Andreas Baumann - 02.10.2019
 FS#12  - [python-setuptools] check() fails (due to some mpmath issue?)

during check():
_ sympy/polys/tests/test_rootoftools.py:test_CRootOf_evalf _

File “/build/python-sympy/src/sympy-sympy-1.1.1-py2/sympy/polys/tests/test_rootoftools.py”, line 225, in test_CRootOf_evalf

a, b = rootof(eq, 1).n(2).as_real_imag()

File “sympy/core/evalf.py”, line 1394, in evalf

result = evalf(self, prec + 4, options)

File “sympy/core/evalf.py”, line 1292, in evalf

xe = x._eval_evalf(prec)

File “sympy/polys/rootoftools.py”, line 644, in _eval_evalf

x0 = mpc(*map(str, interval.center))

File “/usr/lib/python2.7/site-packages/mpmath/ctx_mp_python.py”, line 374, in new

imag = cls.context.mpf(imag)

File “/usr/lib/python2.7/site-packages/mpmath/ctx_mp_python.py”, line 77, in new

v._mpf_ = mpf_pos(cls.mpf_convert_arg(val, prec, rounding), prec, rounding)

File “/usr/lib/python2.7/site-packages/mpmath/ctx_mp_python.py”, line 84, in mpf_convert_arg

if isinstance(x, basestring): return from_str(x, prec, rounding)

File “/usr/lib/python2.7/site-packages/mpmath/libmp/libmpf.py”, line 1300, in from_str

return from_rational(int(p), int(q), prec, rnd)

ValueError: invalid literal for int() with base 10: ‘-2163048125L’
tests finished: 6841 passed, 185 skipped, 1 exceptions, in 4352.49 seconds

DO *NOT* COMMIT!
test process starts

executable: /usr/bin/python2 (2.7.14-final-0) [CPython]
architecture: 32-bit
cache: yes
ground types: gmpy 2.0.8
hash randomization: on (PYTHONHASHSEED=3003103148)
Closed by Andreas Baumann
02.10.2019 19:15
Reason for closing: Fixed
Additional comments about closing:

Seems to run the tests just fine on i686 and pentium4.

Google Cache

Bing Cache

 9 Packages: Build-listBug ReportMediumLow [ffmpeg] [ffmpeg2.8] libtheora not found Closed
100%
Task Description

Attached to Project: Archlinux32
Opened by Erich Eckner - 11.11.2017
Last edited by Andreas Baumann - 12.11.2017
 FS#9  - [ffmpeg] [ffmpeg2.8] libtheora not found

==&gt; Starting build()… ERROR: libtheora not found

… but it’s there:
/var/lib/archbuild/staging-i686/erich/usr/lib/libtheora.so.0.3.10
/var/lib/archbuild/staging-i686/erich/usr/lib/libtheora.so.0
/var/lib/archbuild/staging-i686/erich/usr/lib/libtheora.so

strange … Closed by Andreas Baumann
12.11.2017 15:40
Reason for closing: Fixed
Additional comments about closing:

fixed in libogg.

  Comments (5)
  Related Tasks (0/0)

Admin
Andreas Baumann commented on 12.11.2017 14:29

more ffbuild/config.log

BEGIN /tmp/ffconf.6IlfdMzU/test.c

  1   #include 
  2   #include 
  3   long check_th_info_init(void) { return (long) th_info_init; }
  4   int main(void) { int ret = 0;
  5    ret |= ((intptr_t)check_th_info_init) &amp; 0xFFFF;
  6   return ret; }

END /tmp/ffconf.6IlfdMzU/test.c
gcc -D_ISOC99_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_POSIX_C_SOURCE=200112 -D_XOPEN_SOURCE=
600 -DPIC -std=c11 -fomit-frame-pointer -fPIC -pthread -I/usr/include/p11-kit-1 -I/usr/include/freetype2
-I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/us
r/include/fribidi -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/harfbuzz -I/usr/include
/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng16 -I/usr/include/har
/
…skipping
In file included from /usr/include/ogg/os_types.h:144:0,

               from /usr/include/ogg/ogg.h:25,
               from /usr/include/theora/theoraenc.h:24,
               from /tmp/ffconf.6IlfdMzU/test.c:1:

/usr/include/ogg/config_types.h:4:10: fatal error: config_types-32.h: No such file or directory
#include “config_types-32.h”

        ^~~~~~~~~~~~~~~~~~~

compilation terminated.
ERROR: libtheora not found

Admin
Andreas Baumann commented on 12.11.2017 14:31

/usr/include/ogg/config_types.h

#if WORDSIZE == 32
#include “config_types-32.h” #elif
WORDSIZE == 64
#include “config_types-64.h” #else
#error “Unknown word size” #endif

ls /usr/include/ogg/
config_types-64.h config_types.h ogg.h os_types.h

So ogg misses the 32-bit types header file.. I’ll check there..
Admin
Andreas Baumann commented on 12.11.2017 14:54

Trying a patch in libogg:

sed

  s|mv "${pkgdir}"/usr/include/ogg/config_types{,-64}.h|mv "${pkgdir}"/usr/include/ogg/config_types{,-32}.h|

Admin
Andreas Baumann commented on 12.11.2017 14:57

acutally: better remove the whole multilib stuff on 32-bit..
Admin
Andreas Baumann commented on 12.11.2017 15:39

eval “$(

declare -f package | \
  sed '
    /^.*Resolve multilib conflict/,/^}$/{//p;d;}
  '

)”

Back to first version, I’m not a sed-king (rather the very opposite).

Google Cache

 8 Packages: Build-listBug ReportMediumLow [skia-sharp] [skia-sharp58] build fails Closed
100%
Task Description

Attached to Project: Archlinux32
Opened by Erich Eckner - 11.11.2017
Last edited by Andreas Baumann - 12.11.2017
 FS#8  - [skia-sharp] [skia-sharp58] build fails

/startdir/PKGBUILD: line 63: bin/gn: No such file or directory

strange about this:
- works on x86_64
- bin/gn is there and executable
Closed by Andreas Baumann
12.11.2017 14:19
Reason for closing: Won’t implement
Additional comments about closing:

blacklist, no visible 32-bit support.

Comments (7)

Admin
Andreas Baumann commented on 12.11.2017 12:29

When compiling on 64-bit I get several binaries:

src/depot_tools/gn
src/skia/gn
src/skia/buildtools/linux64/gn
src/skia/bin/gn

maybe one with linux32 is missing?
Admin
Andreas Baumann commented on 12.11.2017 12:30

Other things in PKGBUILD:

export PYTHON=’/usr/bin/pyton2’

This hardly works. :-) Admin
Andreas Baumann commented on 12.11.2017 12:31

The line with bin/gn is a little bit tricky. I’ll try to put an absolute path there..
Admin
Andreas Baumann commented on 12.11.2017 12:32

I also don’t like the ideas of pushd and popd everywhere..
Admin
Andreas Baumann commented on 12.11.2017 12:33

file bin/gn
bin/gn: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked, interpreter /lib64/ld-linux-x86-64.so.2, for GNU/Linux 2.6.26, BuildID[sha1]=6d551c57efec95b400b9890f89a18e407396c917, stripped

So the file not found means: it exists, but has not been compiled for the correct architecture.
Admin
Andreas Baumann commented on 12.11.2017 13:57

So, removing bin/gn and calling python2 tools/git-sync-deps fetches me a new copy.
Admin
Andreas Baumann commented on 12.11.2017 14:14

So tools/git-sync-deps does:

   subprocess.check_call(
  [sys.executable,
   os.path.join(os.path.dirname(deps_file_path), 'bin', 'fetch-gn')])

which has:

gn_path = ‘buildtools/linux64/gn’ if ‘linux’ in sys.platform else \

      'buildtools/mac/gn'     if 'darwin' in sys.platform else \
      'buildtools/win/gn.exe'

fetching things from Chromium:

f.write(urllib2.urlopen('https://chromium-gn.storage-download.googleapis.com/' + sha1).read())

Changing linux64 to linux32 in a naive approach didn’t fetch a bin/gn.

So I would actually blacklist both packages.

Google Cache

360PackagesBug ReportVery LowCriticalArchlinux32-Keyring was trusted but became untrustedUnconfirmed
0%
Task Description

some months ago I installed archlinux32 on my eeepc. I followed the steps on the archlinux32.org downloads page to fix my keyring. I was able to use pacman just fine. Yesterday I went to update the system and got trust issues with the archlinux32-keyring. I think this has something to do with the updated archlinux-keyring. I have removed archlinux-keyring from the system.

I joined the IRC and have been working on how to resolve the issue with no luck.

First i updated the mirrorlist from the link in the downloads page as noted to fix pacman with a working install.
I forced the pacman-key to update the trust database my editing /usr/bin/pacman-key line 613 to

if ! "${GPG_PACMAN[@]}" --batch --check-trustdb --yes; then

so Here is what happens when I try to pacman -Syu:

[Loops@eeepc901 ~]$ sudo pacman -Syu                                                                                                                        
:: Synchronizing package databases...
 core                                                              131.4 KiB   128 KiB/s 00:01 [#######################################################] 100%
 extra                                                               7.5 MiB  2.10 MiB/s 00:04 [#######################################################] 100%
 community is up to date
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...

Packages (43) alsa-lib-1.2.12-1.0  alsa-ucm-conf-1.2.12-1.0  aom-3.9.1-1.0  ca-certificates-20240618-1.0  ca-certificates-mozilla-3.101-1.0
              ca-certificates-utils-20240618-1.0  e2fsprogs-1.47.1-4.0  ell-0.66-1.0  findutils-4.10.0-1.0  fribidi-1.0.15-1.0  git-2.45.2-1.0
              hicolor-icon-theme-0.18-1.0  hwdata-0.383-1.0  libcups-2:2.4.10-1.0  libdrm-2.4.122-1.0  libevdev-1.13.2-1.0  libgcrypt-1.11.0-2.0
              libinput-1.26.1-1.0  libnghttp2-1.62.1-1.0  libogg-1.3.5-2.0  libproxy-0.5.7-1.0  librsvg-2:2.58.1-1.0  libwacom-2.12.1-1.0
              linux-6.9.7.arch1-1.2  linux-api-headers-6.7-1.1  linux-firmware-20240610.9c10a208-1.0  linux-firmware-whence-20240610.9c10a208-1.0
              lynx-2.9.2-1.0  mkinitcpio-39.2-2.0  nettle-3.10-1.0  nspr-4.35-3.0  nss-3.101-1.0  openssh-9.8p1-1.1  openssl-3.3.1-1.0
              pacman-mirrorlist-20240616-1.2  pciutils-3.13.0-1.0  qt5-base-5.15.14+kde+r141-1.0  qt5-translations-5.15.14-1.0  sqlite-3.46.0-1.0
              wayland-1.23.0-1.0  xkeyboard-config-2.42-1.0  xz-5.6.2-1.0  zstd-1.5.6-1.0

Total Download Size:     1.47 MiB
Total Installed Size:  515.71 MiB
Net Upgrade Size:      -59.78 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
 libgcrypt-1.11.0-2.0-pentium4                                     612.7 KiB   726 KiB/s 00:01 [#######################################################] 100%
 libdrm-2.4.122-1.0-pentium4                                       343.2 KiB  2.13 MiB/s 00:00 [#######################################################] 100%
 libinput-1.26.1-1.0-pentium4                                      292.8 KiB  1331 KiB/s 00:00 [#######################################################] 100%
 libcups-2:2.4.10-1.0-pentium4                                     261.6 KiB  1355 KiB/s 00:00 [#######################################################] 100%
 Total (4/4)                                                      1510.3 KiB   717 KiB/s 00:02 [#######################################################] 100%
(43/43) checking keys in keyring                                                               [#######################################################] 100%
(43/43) checking package integrity                                                             [#######################################################] 100%
error: alsa-ucm-conf: signature from "TasosSah (Arch32 Package Signing Key) <arch32@tasossah.com>" is unknown trust
:: File /var/cache/pacman/pkg/alsa-ucm-conf-1.2.12-1.0-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n]  
error: linux-api-headers: signature from "Andreas Baumann (sign) <mail@andreasbaumann.cc>" is unknown trust
:: File /var/cache/pacman/pkg/linux-api-headers-6.7-1.1-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: alsa-lib: signature from "Andreas Baumann (sign) <mail@andreasbaumann.cc>" is unknown trust
:: File /var/cache/pacman/pkg/alsa-lib-1.2.12-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: aom: signature from "TasosSah (Arch32 Package Signing Key) <arch32@tasossah.com>" is unknown trust
:: File /var/cache/pacman/pkg/aom-3.9.1-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: findutils: signature from "Andreas Baumann (sign) <mail@andreasbaumann.cc>" is unknown trust
:: File /var/cache/pacman/pkg/findutils-4.10.0-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: openssl: signature from "Andreas Baumann (sign) <mail@andreasbaumann.cc>" is unknown trust
:: File /var/cache/pacman/pkg/openssl-3.3.1-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: sqlite: signature from "TasosSah (Arch32 Package Signing Key) <arch32@tasossah.com>" is unknown trust
:: File /var/cache/pacman/pkg/sqlite-3.46.0-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: e2fsprogs: signature from "Andreas Baumann (sign) <mail@andreasbaumann.cc>" is unknown trust
:: File /var/cache/pacman/pkg/e2fsprogs-1.47.1-4.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: libgcrypt: signature from "Andreas Baumann (sign) <mail@andreasbaumann.cc>" is unknown trust
:: File /var/cache/pacman/pkg/libgcrypt-1.11.0-2.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: xz: signature from "Andreas Baumann (sign) <mail@andreasbaumann.cc>" is unknown trust
:: File /var/cache/pacman/pkg/xz-5.6.2-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: zstd: signature from "Andreas Baumann (sign) <mail@andreasbaumann.cc>" is unknown trust
:: File /var/cache/pacman/pkg/zstd-1.5.6-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: ca-certificates-utils: signature from "TasosSah (Arch32 Package Signing Key) <arch32@tasossah.com>" is unknown trust
:: File /var/cache/pacman/pkg/ca-certificates-utils-20240618-1.0-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: ca-certificates-mozilla: signature from "Andreas Baumann (sign) <mail@andreasbaumann.cc>" is unknown trust
:: File /var/cache/pacman/pkg/ca-certificates-mozilla-3.101-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: ca-certificates: signature from "TasosSah (Arch32 Package Signing Key) <arch32@tasossah.com>" is unknown trust
:: File /var/cache/pacman/pkg/ca-certificates-20240618-1.0-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: ell: signature from "Andreas Baumann (sign) <mail@andreasbaumann.cc>" is unknown trust
:: File /var/cache/pacman/pkg/ell-0.66-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: fribidi: signature from "TasosSah (Arch32 Package Signing Key) <arch32@tasossah.com>" is unknown trust
:: File /var/cache/pacman/pkg/fribidi-1.0.15-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: libnghttp2: signature from "TasosSah (Arch32 Package Signing Key) <arch32@tasossah.com>" is unknown trust
:: File /var/cache/pacman/pkg/libnghttp2-1.62.1-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: git: signature from "TasosSah (Arch32 Package Signing Key) <arch32@tasossah.com>" is unknown trust
:: File /var/cache/pacman/pkg/git-2.45.2-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: hicolor-icon-theme: signature from "TasosSah (Arch32 Package Signing Key) <arch32@tasossah.com>" is unknown trust
:: File /var/cache/pacman/pkg/hicolor-icon-theme-0.18-1.0-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: hwdata: signature from "TasosSah (Arch32 Package Signing Key) <arch32@tasossah.com>" is unknown trust
:: File /var/cache/pacman/pkg/hwdata-0.383-1.0-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: nettle: signature from "Andreas Baumann (sign) <mail@andreasbaumann.cc>" is unknown trust
:: File /var/cache/pacman/pkg/nettle-3.10-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: libcups: signature from "Andreas Baumann (sign) <mail@andreasbaumann.cc>" is unknown trust
:: File /var/cache/pacman/pkg/libcups-2:2.4.10-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: libdrm: signature from "Andreas Baumann (sign) <mail@andreasbaumann.cc>" is unknown trust
:: File /var/cache/pacman/pkg/libdrm-2.4.122-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: libevdev: signature from "TasosSah (Arch32 Package Signing Key) <arch32@tasossah.com>" is unknown trust
:: File /var/cache/pacman/pkg/libevdev-1.13.2-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: libwacom: signature from "TasosSah (Arch32 Package Signing Key) <arch32@tasossah.com>" is unknown trust
:: File /var/cache/pacman/pkg/libwacom-2.12.1-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: libinput: signature from "Andreas Baumann (sign) <mail@andreasbaumann.cc>" is unknown trust
:: File /var/cache/pacman/pkg/libinput-1.26.1-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: libogg: signature from "TasosSah (Arch32 Package Signing Key) <arch32@tasossah.com>" is unknown trust
:: File /var/cache/pacman/pkg/libogg-1.3.5-2.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: libproxy: signature from "TasosSah (Arch32 Package Signing Key) <arch32@tasossah.com>" is unknown trust
:: File /var/cache/pacman/pkg/libproxy-0.5.7-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: librsvg: signature from "TasosSah (Arch32 Package Signing Key) <arch32@tasossah.com>" is unknown trust
:: File /var/cache/pacman/pkg/librsvg-2:2.58.1-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: mkinitcpio: signature from "Andreas Baumann (sign) <mail@andreasbaumann.cc>" is unknown trust
:: File /var/cache/pacman/pkg/mkinitcpio-39.2-2.0-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: linux: signature from "Andreas Baumann (sign) <mail@andreasbaumann.cc>" is unknown trust
:: File /var/cache/pacman/pkg/linux-6.9.7.arch1-1.2-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: linux-firmware-whence: signature from "TasosSah (Arch32 Package Signing Key) <arch32@tasossah.com>" is unknown trust
:: File /var/cache/pacman/pkg/linux-firmware-whence-20240610.9c10a208-1.0-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: linux-firmware: signature from "TasosSah (Arch32 Package Signing Key) <arch32@tasossah.com>" is unknown trust
:: File /var/cache/pacman/pkg/linux-firmware-20240610.9c10a208-1.0-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: lynx: signature from "Andreas Baumann (sign) <mail@andreasbaumann.cc>" is unknown trust
:: File /var/cache/pacman/pkg/lynx-2.9.2-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: nspr: signature from "Andreas Baumann (sign) <mail@andreasbaumann.cc>" is unknown trust
:: File /var/cache/pacman/pkg/nspr-4.35-3.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: nss: signature from "Andreas Baumann (sign) <mail@andreasbaumann.cc>" is unknown trust
:: File /var/cache/pacman/pkg/nss-3.101-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: openssh: signature from "Andreas Baumann (sign) <mail@andreasbaumann.cc>" is unknown trust
:: File /var/cache/pacman/pkg/openssh-9.8p1-1.1-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: pacman-mirrorlist: signature from "TasosSah (Arch32 Package Signing Key) <arch32@tasossah.com>" is unknown trust
:: File /var/cache/pacman/pkg/pacman-mirrorlist-20240616-1.2-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: pciutils: signature from "Andreas Baumann (sign) <mail@andreasbaumann.cc>" is unknown trust
:: File /var/cache/pacman/pkg/pciutils-3.13.0-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: qt5-translations: signature from "TasosSah (Arch32 Package Signing Key) <arch32@tasossah.com>" is unknown trust
:: File /var/cache/pacman/pkg/qt5-translations-5.15.14-1.0-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: wayland: signature from "TasosSah (Arch32 Package Signing Key) <arch32@tasossah.com>" is unknown trust
:: File /var/cache/pacman/pkg/wayland-1.23.0-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: xkeyboard-config: signature from "TasosSah (Arch32 Package Signing Key) <arch32@tasossah.com>" is unknown trust
:: File /var/cache/pacman/pkg/xkeyboard-config-2.42-1.0-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: qt5-base: signature from "TasosSah (Arch32 Package Signing Key) <arch32@tasossah.com>" is unknown trust
:: File /var/cache/pacman/pkg/qt5-base-5.15.14+kde+r141-1.0-pentium4.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: failed to commit transaction (invalid or corrupted package (PGP signature))
Errors occurred, no packages were upgraded.

The Next course of action seems to be resetting the keyring It was suggested I follow a guide on the parabola wiki: https://wiki.parabola.nu/Parabola_Keyring#Resetting_the_Parabola_Keyring

359PackagesBug ReportVery LowLowQterminal 1.3.0-1.1 is brokenUnconfirmed
0%
Task Description

Qterminal 1.3.0-1.1 is broken. It causes a segmentation fault. Upgrade to 1.4.0-1.0 (still in staging) solves this issue.

 358 PackagesBug ReportMediumLow All versions of samba > 4.17.5 are broken Closed
100%
Task Description

Either because of ICU or LDB incompatibilites.
tdb, ldb, samba and python have to be rebuild.

 357 PackagesBug ReportVery LowMedium pacman-contrib 1.10.5 requires rebuild Closed
100%
Task Description

The pactree tool in pacman-contrib 1.10.5 requires libalpm.so.13 which belongs to an older version of pacman. Rebuilding pacman-contrib with the latest version of pacman installed should resolve the issue.

 356 PackagesBug ReportMediumLow mkinitcpio core dump Closed
100%
Task Description
double free or corruption (out)
/usr/bin/mkinitcpio: line 557:  2387 Aborted                 (core dumped) MKINITCPIO_PROCESS_PRESET="$preset_name" "$0" "${preset_cmd[@]}"
error: command failed to execute correctly

Maybe also the age of the machine, the CMOS, the RAM, the moon, the universe could be
at fault here..

355PackagesBug ReportMediumCriticalKDE packages fail to install because of /libNew
0%
Task Description

Some KDE packages try to replace the ‘lib’ symlink with a directory, causing the system
to fail to start.

If you are lucky, pacman warns you about it and says:

pacman -S breeze-icons
resolving dependencies...
looking for conflicting packages...

Packages (1) breeze-icons-6.0.0-1.0

Total Installed Size:  71.92 MiB
Net Upgrade Size:       0.61 MiB

:: Proceed with installation? [Y/n] 
(1/1) checking keys in keyring                                  [##################################] 100%
(1/1) checking package integrity                                [##################################] 100%
(1/1) loading package files                                     [##################################] 100%
(1/1) checking for file conflicts                               [##################################] 100%
error: failed to commit transaction (conflicting files)
breeze-icons: /lib exists in filesystem (owned by filesystem)
Errors occurred, no packages were upgraded

I had one hard-to-reproduce case where I basically nuked my VMs with that.

The recovery procedure in this case is:

# Boot from last ISO
# mount /dev/xxx to /mnt
cd /usr
mv lib/cmake/* usr/lib/cmake/.
mv lib/qml /usr/lib/.
rmdir lib/cmake
rmdir lib
ln -s usr/lib lib

Packages known to misbehave are ‘kqtquickcharts’, ‘breeze-icons’. Surely more to follow..

 354 PackagesBug ReportVery LowLow staging mkinitcpio<->cryptsetup conflict Closed
100%
Task Description

it is not possible to enable staging

$ sudo pacman -Syuu
:: Synchronizing package databases...
 core-staging is up to date
 core is up to date
 extra-staging                      2.5 MiB  2.22 MiB/s 00:01 [##################################] 100%
 extra is up to date
 community-staging is up to date
 community is up to date
:: Starting full system upgrade...
resolving dependencies...
:: There are 2 providers available for dbus-units:
:: Repository core-staging
   1) dbus-broker-units  2) dbus-daemon-units

Enter a number (default=1): 
looking for conflicting packages...
:: cryptsetup and mkinitcpio are in conflict. Remove mkinitcpio? [y/N] y
error: failed to prepare transaction (could not satisfy dependencies)
:: unable to satisfy dependency 'initramfs' required by linux
 353 PackagesBug ReportVery LowLow mc: is broken Closed
100%
Task Description
$ mc
mc: symbol lookup error: mc: undefined symbol: g_string_new_take

$ mcedit
mcedit: symbol lookup error: mcedit: undefined symbol: g_string_new_take
352PackagesBug ReportVery LowLowgmtp in extra is brokenUnconfirmed
0%
Task Description

It is an i686-system.

steps to reproduce:

    1) # pacman -Syyuu base
    2) # pacman -S gmtp
    3) $ gmtp

expected result:

    Start screen of gmtp appears.

actual result:

    $ gmtp
    gmtp: error while loading shared libraries: libFLAC.so.8: cannot open shared object file: No such file or directory

gmtp in extra-staging works though

 350 PackagesBug ReportVery LowHigh openssh service will not start Closed
100%
Task Description

After updating my system I found that sshd.service will no longer start.

As a temporary work round I downgraded openssl from 3.2.1-1.0 to 3.1.4-1.0

[keith@Arch32 ~]$ sudo pacman -Syu
:: Synchronising package databases...
 core-testing is up to date
 core is up to date
 extra-testing is up to date
 extra is up to date
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...

Package (1)           Old Version  New Version  Net Change

core-testing/openssl  3.1.4-1.0    3.2.1-1.0      1.03 MiB

Total Installed Size:  10.54 MiB
Net Upgrade Size:       1.03 MiB

:: Proceed with installation? [Y/n] 
(1/1) checking keys in keyring                                                                 [--------------------------------------------------------] 100%
(1/1) checking package integrity                                                               [--------------------------------------------------------] 100%
(1/1) loading package files                                                                    [--------------------------------------------------------] 100%
(1/1) checking for file conflicts                                                              [--------------------------------------------------------] 100%
(1/1) checking available disk space                                                            [--------------------------------------------------------] 100%
:: Processing package changes...
(1/1) upgrading openssl                                                                        [--------------------------------------------------------] 100%
:: Running post-transaction hooks...
(1/1) Arming ConditionNeedsUpdate...
[keith@Arch32 ~]$ systemctl restart sshd.service
[keith@Arch32 ~]$ systemctl status sshd.service
× sshd.service - OpenSSH Daemon
     Loaded: loaded (/usr/lib/systemd/system/sshd.service; enabled; preset: disabled)
     Active: failed (Result: exit-code) since Tue 2024-02-13 05:36:11 GMT; 6s ago
   Duration: 9ms
    Process: 1008 ExecStart=/usr/bin/sshd -D (code=exited, status=255/EXCEPTION)
   Main PID: 1008 (code=exited, status=255/EXCEPTION)
        CPU: 9ms

Feb 13 05:36:11 Arch32 systemd[1]: sshd.service: Scheduled restart job, restart counter is at 5.
Feb 13 05:36:11 Arch32 systemd[1]: Stopped OpenSSH Daemon.
Feb 13 05:36:11 Arch32 systemd[1]: sshd.service: Start request repeated too quickly.
Feb 13 05:36:11 Arch32 systemd[1]: sshd.service: Failed with result 'exit-code'.
Feb 13 05:36:11 Arch32 systemd[1]: Failed to start OpenSSH Daemon.
[keith@Arch32 ~]$ sudo downgrade openssl
loading packages...
warning: downgrading package openssl (3.2.1-1.0 => 3.1.4-1.0)
resolving dependencies...
looking for conflicting packages...

Package (1)  Old Version  New Version  Net Change

openssl      3.2.1-1.0    3.1.4-1.0     -1.03 MiB

Total Installed Size:   9.51 MiB
Net Upgrade Size:      -1.03 MiB

:: Proceed with installation? [Y/n] 
(1/1) checking keys in keyring                                                                 [--------------------------------------------------------] 100%
(1/1) checking package integrity                                                               [--------------------------------------------------------] 100%
(1/1) loading package files                                                                    [--------------------------------------------------------] 100%
(1/1) checking for file conflicts                                                              [--------------------------------------------------------] 100%
(1/1) checking available disk space                                                            [--------------------------------------------------------] 100%
:: Processing package changes...
(1/1) downgrading openssl                                                                      [--------------------------------------------------------] 100%
:: Running post-transaction hooks...
(1/1) Arming ConditionNeedsUpdate...
add openssl to IgnorePkg? [y/N] 
[keith@Arch32 ~]$ systemctl restart sshd.service
[keith@Arch32 ~]$ systemctl status sshd.service
● sshd.service - OpenSSH Daemon
     Loaded: loaded (/usr/lib/systemd/system/sshd.service; enabled; preset: disabled)
     Active: active (running) since Tue 2024-02-13 05:37:20 GMT; 5s ago
   Main PID: 1138 (sshd)
      Tasks: 1 (limit: 2293)
     Memory: 772.0K
        CPU: 61ms
     CGroup: /system.slice/sshd.service
             └─1138 "sshd: /usr/bin/sshd -D [listener] 0 of 10-100 startups"

Feb 13 05:37:20 Arch32 systemd[1]: Started OpenSSH Daemon.
Feb 13 05:37:20 Arch32 sshd[1138]: Server listening on 0.0.0.0 port 22.
Feb 13 05:37:20 Arch32 sshd[1138]: Server listening on :: port 22.
[keith@Arch32 ~]$ 

349PackagesBug ReportMediumLowtop print "get_mempolicy: Function not implemented" on ...New
0%
Task Description

no task description

348PackagesBug ReportMediumLowopenssl failing testsNew
0%
Task Description
30-test_aesgcm.t ........................ ok                                                                ������������������������������������������������������������������                                                                                             

ALG_PERR: engines/e_afalg.c(463): Failed to bind socket : No such file or directory                         �����������������������������������������������������������������������������������������������������������������������������                                                                                   
        # ERROR: (bool) 'EVP_CipherInit_ex(ctx, cipher, e, key, iv, 1) == true' failed @ test/afalgtest.c   ������������������������������������������������������������������������������������������������������������������������������������������������������������c                                                                             :85                                                                                                         �����           
        # false                                                                                             �����������������������                                                        
        # 00000000:error:40000067:lib(128)::socket bind failed:engines/e_afalg.c:464:                       ������������������������������������������������������������������������������������������������������������������������������:                                                                                  
        # OPENSSL_TEST_RAND_SEED=1707239178                                                                 �����������������������������������������������������������������                                                                                             
        not ok 1 - iteration 1                                                                              ������������������������������������������ㄠ                                                                                                
# ------------------------------------------------------------------------------                            ������������������������������������������������������������������������������������������������������������������������                                                                                    
ALG_PERR: engines/e_afalg.c(463): Failed to bind socket : No such file or directory                         �����������������������������������������������������������������������������������������������������������������������������                                                                                   
        # ERROR: (bool) 'EVP_CipherInit_ex(ctx, cipher, e, key, iv, 1) == true' failed @ test/afalgtest.c   ������������������������������������������������������������������������������������������������������������������������������������������������������������c                                                                             :85                                                                                                         �����           
        # false                                                                                             �����������������������                                                        
        # 00000000:error:40000067:lib(128)::socket bind failed:engines/e_afalg.c:464:                       ������������������������������������������������������������������������������������������������������������������������������:                                                                                  
        # OPENSSL_TEST_RAND_SEED=1707239178                                                                 �����������������������������������������������������������������                                                                                             
        not ok 2 - iteration 2                                                                              ������������������������������������������㈠                                                                                                
# ------------------------------------------------------------------------------                            ������������������������������������������������������������������������������������������������������������������������                                                                                    
ALG_PERR: engines/e_afalg.c(463): Failed to bind socket : No such file or directory                         �����������������������������������������������������������������������������������������������������������������������������                                                                                   
        # ERROR: (bool) 'EVP_CipherInit_ex(ctx, cipher, e, key, iv, 1) == true' failed @ test/afalgtest.c   ������������������������������������������������������������������������������������������������������������������������������������������������������������c                                                                             :85                                                                                                         �����           
        # false                                                                                             �����������������������                                                        
        # 00000000:error:40000067:lib(128)::socket bind failed:engines/e_afalg.c:464:                       ������������������������������������������������������������������������������������������������������������������������������:                                                                                  
        # OPENSSL_TEST_RAND_SEED=1707239178                                                                 �����������������������������������������������������������������                                                                                             
        not ok 3 - iteration 3                                                                              ������������������������������������������㌠                                                                                                
# ------------------------------------------------------------------------------                            ������������������������������������������������������������������������������������������������������������������������                                                                                    
    # OPENSSL_TEST_RAND_SEED=1707239178                                                                     �����������������������������������������������������������                                                                                              
    not ok 1 - test_afalg_aes_cbc                                                                           ������������������������������������������������c                                                                                               
# ------------------------------------------------------------------------------                            ������������������������������������������������������������������������������������������������������������������������                                                                                    
../../util/wrap.pl ../../test/afalgtest => 1                                                                ������������������������������������������������������������������                                                                                             
not ok 1 - running afalgtest                                                                                ������������������������������������������                                                                                                 

347PackagesBug ReportVery LowLowMeld will not start - error message -> Meld requires Gt...Unconfirmed
0%
Task Description

[keith@Arch32 ~]$ meld
Meld requires Gtk+ 3.20 or higher.
[keith@Arch32 ~]$ pacman -Qi meld
Name : meld
Version : 3.22.0-2.0
Description : Compare files, directories and working copies
Architecture : any
URL : https://meldmerge.org/ Licenses : GPL Groups : None
Provides : None
Depends On : python-gobject python-cairo gtksourceview4 gsettings-desktop-schemas dconf
Optional Deps : None
Required By : None
Optional For : None
Conflicts With : None
Replaces : None
Installed Size : 5.06 MiB
Packager : TasosSah arch32@tasossah.com Build Date : Sat 19 Aug 2023 23:25:57 BST
Install Date : Sat 26 Aug 2023 07:08:59 BST
Install Reason : Explicitly installed
Install Script : No
Validated By : Signature

[keith@Arch32 ~]$ pacman -Qi gtksourceview4
Name : gtksourceview4
Version : 4.8.4-1.0
Description : A text widget adding syntax highlighting and more to GNOME
Architecture : pentium4
URL : https://wiki.gnome.org/Projects/GtkSourceView Licenses : GPL Groups : None
Provides : libgtksourceview-4.so=0-32
Depends On : gtk3 libxml2
Optional Deps : None
Required By : meld xed
Optional For : None
Conflicts With : None
Replaces : None
Installed Size : 7.44 MiB
Packager : Andreas Baumann mail@andreasbaumann.cc Build Date : Mon 07 Nov 2022 11:50:56 GMT
Install Date : Mon 28 Nov 2022 11:49:04 GMT
Install Reason : Installed as a dependency for another package
Install Script : No
Validated By : Signature

[keith@Arch32 ~]$ pacman -Qi gtk3
Name : gtk3
Version : 1:3.24.37-1.0
Description : GObject-based multi-platform GUI toolkit
Architecture : pentium4
URL : https://www.gtk.org/ Licenses : LGPL Groups : None
Provides : gtk3-print-backends libgailutil-3.so=0-32 libgdk-3.so=0-32 libgtk-3.so=0-32
Depends On : adwaita-icon-theme atk cairo cantarell-fonts dconf desktop-file-utils fontconfig fribidi gdk-pixbuf2 glib2 harfbuzz iso-codes

                libcloudproviders  libcolord  libcups  libegl  libepoxy  libgl  librsvg  libxcomposite  libx11  libxcursor  libxdamage  libxext  libxfixes
                libxi  libxinerama  libxkbcommon  libxrandr  libxrender  pango  shared-mime-info  wayland  at-spi2-core  tracker3  gtk-update-icon-cache

Optional Deps : evince: Default print preview command
Required By : bleachbit engrampa firefox gcr gpicview gspell gtkmm3 gtksourceview4 libdbusmenu-gtk3 libgnomekbd libindicator-gtk3 libnma

                libpeas  lightdm-gtk-greeter  lxmusic  vte3  xdg-user-dirs-gtk

Optional For : avahi gvfs libcanberra libdecor libreoffice-still
Conflicts With : gtk3-print-backends
Replaces : gtk3-print-backends⇐3.22.26-1
Installed Size : 49.88 MiB
Packager : Andreas Baumann mail@andreasbaumann.cc Build Date : Sun 16 Apr 2023 11:18:09 BST
Install Date : Tue 25 Apr 2023 13:06:04 BST
Install Reason : Installed as a dependency for another package
Install Script : Yes
Validated By : Signature

[keith@Arch32 ~]$

346PackagesBug ReportVery LowLowpandoc: error while loading shared librariesUnconfirmed
0%
Task Description
# pacman -Syyuu base
# pacman -S pandoc
# pandoc
pandoc: error while loading shared libraries: libHSzip-archive-0.4.1-FOOm53qGfUr2AB1Oel9iH4-ghc8.10.2.so: cannot open shared object file: No such file or directory
345PackagesBug ReportVery LowLow[gcompris-qt] doesn't start due to Qt 5.15.10Unconfirmed
0%
Task Description

I fails to start with: “Cannot mix incompatible Qt library (5.15.9) with this library (5.15.10)”

 344 PackagesBug ReportVery LowMedium [linux] No kernel updates Closed
100%
Task Description

The linux kernel seems to be stuck at version 6.1.12.arch1-1.0. The build log of the latest stable kernel (linux-6.6.4.arch1-1.0) shows the following error:

=⇒ ERROR: Integrity checks (sha256) differ in size from the source array.
erich@rechenknecht

Showing tasks 51 - 100 of 351 Page 2 of 8 - 1 - 2 - 3 - 4 - 5 - Last >>

Available keyboard shortcuts

Tasklist

Task Details

Task Editing